﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using SPC.Kiosk.Common;
namespace SPC.Kiosk.Popup.Model
{
    /// <summary>
    /// 결제 완료 정보
    /// </summary>
    public class M_PaymentReturn
    {
        /// <summary>
        /// 결제 처리 성공 유무
        /// </summary>
        public bool IsProcessOK { get; set; } = false;
        /// <summary>
        /// 결제 금액
        /// </summary>
        public double PaymentsTotal { get; set; } = 0;
        /// <summary>
        /// 승인 순번
        /// </summary>
        public long PaySEQ { get; set; } = -1L;
    }
}