﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Cosmos.Common
{
    public class PosKey
    {
        #region 메뉴키 정의
        public class MENU_KEY
        {
            public const string NUMPAD0 = "99200";
            public const string NUMPAD1 = "99201";
            public const string NUMPAD2 = "99202";
            public const string NUMPAD3 = "99203";
            public const string NUMPAD4 = "99204";
            public const string NUMPAD5 = "99205";
            public const string NUMPAD6 = "99206";
            public const string NUMPAD7 = "99207";
            public const string NUMPAD8 = "99208";
            public const string NUMPAD9 = "99209";
            public const string DOT = "99210";
            public const string NUMPAD00 = "99211";

            /// <summary>
            /// Back Space
            /// </summary>
            public const string BACKSPACE = "99212";
            /// <summary>
            /// 지우기
            /// </summary>
            public const string CLEAR = "99213";
            /// <summary>
            /// 등록
            /// </summary>
            public const string ENTER = "99214";
            /// <summary>
            /// Forward
            /// </summary>
            public const string FORWARD = "99215";
            /// <summary>
            /// Backward
            /// </summary>
            public const string BACKWARD = "99216";
            /// <summary>
            /// Scroll up
            /// </summary>
            public const string SCROLL_UP = "99217";
            /// <summary>
            /// Scroll down
            /// </summary>
            public const string SCROLL_DOWN = "99218";
            /// <summary>
            /// 검색
            /// </summary>
            public const string SEARCH = "99219";
            /// <summary>
            /// 승인
            /// </summary>
            public const string APPROVAL = "99220";
            /// <summary>
            /// 임의등록
            /// </summary>
            public const string CNVN_REG = "99221";
            /// <summary>
            /// 비밀번호 입력
            /// </summary>
            public const string SIGNPAD_PASSWORD = "99300";
            /// <summary>
            /// CAT 단말기
            /// </summary>
            public const string CAT_TERMINAL = "99301";
            /// <summary>
            /// PAY ON
            /// </summary>
            public const string PAY_ON = "99302";

            /// <summary>
            /// KEYBOARD SCAN KEY 대응
            /// </summary>
            public const string SCANKEY_A = "99222";
            public const string SCANKEY_B = "99223";
            public const string SCANKEY_C = "99224";
            public const string SCANKEY_D = "99225";
            public const string SCANKEY_E = "99226";
            public const string SCANKEY_F = "99227";
            public const string SCANKEY_G = "99228";
            public const string SCANKEY_H = "99229";
            public const string SCANKEY_I = "99230";
            public const string SCANKEY_J = "99231";
            public const string SCANKEY_K = "99232";
            public const string SCANKEY_L = "99233";
            public const string SCANKEY_M = "99234";
            public const string SCANKEY_N = "99235";
            public const string SCANKEY_O = "99236";
            public const string SCANKEY_P = "99237";
            public const string SCANKEY_Q = "99238";
            public const string SCANKEY_R = "99239";
            public const string SCANKEY_S = "99240";
            public const string SCANKEY_T = "99241";
            public const string SCANKEY_U = "99242";
            public const string SCANKEY_V = "99243";
            public const string SCANKEY_W = "99244";
            public const string SCANKEY_X = "99245";
            public const string SCANKEY_Y = "99246";
            public const string SCANKEY_Z = "99247";
            

            /// <summary>
            /// 미발행(현금영수증)
            /// </summary>
            public const string UNISSUED = "99248";
            /// <summary>
            /// 자진발행(현금영수증)
            /// </summary>
            public const string VOLUNTARY_ISSUED = "99249";
            /// <summary>
            /// 재요청
            /// </summary>
            public const string RE_TRY = "99250";
            /// <summary>
            /// 저장
            /// </summary>
            public const string SAVE = "99251";
            /// <summary>
            /// 취소
            /// </summary>
            public const string CANCEL = "99252";
            /// <summary>
            /// 환불
            /// </summary>
            public const string REFUND = "99253";
            /// <summary>
            /// 현금영수증승인
            /// </summary>
            public const string CASH_APPROVAL = "99254";
            /// <summary>
            /// 현금영수증추후승인(영수증 재발행)
            /// </summary>
            public const string CASH_APPROVAL_LATER_RECEIPT = "99255";
            

            #region 특수문자
            /// <summary>
            /// `
            /// </summary>
            public const string SINGLE_QUOTATION = "99260";
            /// <summary>
            /// ~
            /// </summary>
            public const string TILDE = "99261";
            /// <summary>
            /// !
            /// </summary>
            public const string EXCLAMATION_POINT = "99262";
            /// <summary>
            /// @
            /// </summary>
            public const string AT_SIGN = "99263";
            /// <summary>
            /// #
            /// </summary>
            public const string CROSSHATCH = "99264";
            /// <summary>
            /// $
            /// </summary>
            public const string DOLLAR_SIGN = "99265";
            /// <summary>
            /// %
            /// </summary>
            public const string PERCENT_SIGN = "99266";
            /// <summary>
            /// ^
            /// </summary>
            public const string CIRCUMFLEX = "99267";
            /// <summary>
            /// &
            /// </summary>
            public const string AMPERSAND = "99268";
            /// <summary>
            /// *
            /// </summary>
            public const string ASTERISK = "99269";
            /// <summary>
            /// (
            /// </summary>
            public const string LEFT_PARENTHESIS = "99270";
            /// <summary>
            /// )
            /// </summary>
            public const string RIGHT_PARENTHESIS = "99271";
            /// <summary>
            /// -
            /// </summary>
            public const string HYPHEN = "99272";
            /// <summary>
            /// _
            /// </summary>
            public const string UNDERSCORE = "99273";
            /// <summary>
            /// =
            /// </summary>
            public const string EQUAL_SIGN = "99274";
            /// <summary>
            /// +
            /// </summary>
            public const string PLUS_SIGN = "99275";
            /// <summary>
            /// \
            /// </summary>
            public const string BACKSLASH = "99276";
            /// <summary>
            /// |
            /// </summary>
            public const string VERTICAL_BAR = "99277";
            /// <summary>
            /// [
            /// </summary>
            public const string LEFT_BRACKET = "99278";
            /// <summary>
            /// ]
            /// </summary>
            public const string RIGHT_BRACKET = "99279";
            /// <summary>
            /// {
            /// </summary>
            public const string LEFT_BRACE = "99280";
            /// <summary>
            /// }
            /// </summary>
            public const string RIGHT_BRACE = "99281";
            /// <summary>
            /// ;
            /// </summary>
            public const string SEMICOLON = "99282";
            /// <summary>
            /// :
            /// </summary>
            public const string COLON = "99283";
            /// <summary>
            /// "
            /// </summary>
            public const string QUOTATION_MARK = "99284";
            /// <summary>
            /// '
            /// </summary>
            public const string APOSTROPHE = "99285";
            /// <summary>
            /// ,
            /// </summary>
            public const string COMMA = "99286";
            /// <summary>
            /// .
            /// </summary>
            public const string PERIOD = "99287";
            /// <summary>
            /// <
            /// </summary>
            public const string LESS_THAN = "99288";
            /// <summary>
            /// >
            /// </summary>
            public const string GREATER_THAN = "99289";
            /// <summary>
            /// /
            /// </summary>
            public const string SLASH = "99290";
            /// <summary>
            /// ?
            /// </summary>
            public const string QUESTION_MARK = "99291";
            #endregion

            /// <summary>
            /// 키보드 UP화살표 SCAN KEY 대응
            /// </summary>
            public const string SCANKEY_UP_ARROW = "99292";
            /// <summary>
            /// 키보드 DOWN화살표 SCAN KEY 대응
            /// </summary>
            public const string SCANKEY_DOWN_ARROW = "99293";

            ///// <summary>
            ///// 테이블 합석
            ///// </summary>
            //public const string TABLE_JOIN_US = "00001";	
            ///// <summary>
            ///// 테이블 그룹
            ///// </summary>
            //public const string TABLE_GROUP = "00002";
            ///// <summary>
            ///// 테이블 분리
            ///// </summary>
            //public const string TABLE_SEPARATION = "00004";	

            /// <summary>
            /// 환전(돈통 오픈)
            /// </summary>
            public const string EXCHANGE = "00005";	

            ///// <summary>
            ///// 테이블예약
            ///// </summary>
            //public const string TABLE_RESERVATION = "00006";	

            ///// <summary>
            ///// 테이블 공지사항등록
            ///// </summary>
            //public const string REGISTRATION_NOTICE = "00007";	

            ///// <summary>
            ///// 테이블 공지사항삭제
            ///// </summary>
            //public const string NOTICE_DELETE = "00008";	

            ///// <summary>
            ///// 테이블 기타 메뉴
            ///// </summary>
            //public const string TABLES_OTHER = "00009";	

            /// <summary>
            /// 반품
            /// </summary>
            public const string SALE_RETURN = "00010";	

            /// <summary>
            /// 영수증반품
            /// </summary>
            public const string RETURN_RECEIPT = "00011";
	
            /// <summary>
            /// 낱개반품
            /// </summary>
            public const string RETURN_ITEM = "00012";
	
            /// <summary>
            /// 재발행
            /// </summary>
            public const string RE_PRINT = "00013";	

            /// <summary>
            /// 영수증재발행
            /// </summary>
            public const string RECEIPT_REPRINT = "00014";	

            /// <summary>
            /// 현금영수증추후승인
            /// </summary>
            public const string CASH_APPROVAL_LATER = "00015";	

            /// <summary>
            /// 해피포인트추후적립
            /// </summary>
            public const string HPP_APPROVAL_LATER = "00016";	

            /// <summary>
            /// 예약_메뉴
            /// </summary>
            public const string RESERVATION_MENU = "00017";	

            /// <summary>
            /// 예약등록
            /// </summary>
            public const string RESERVATIONS_REGISTER = "00018";	

            /// <summary>
            /// 예약조회/완료
            /// </summary>
            public const string RESERVATION_COMPLETED = "00019";	

            /// <summary>
            /// 충전/판매
            /// </summary>
            public const string CHARGE_SALE = "00020";	

            /// <summary>
            /// 선불카드판매
            /// </summary>
            public const string PREPAID_CARD = "00021";	

            /// <summary>
            /// 상품권판매
            /// </summary>
            public const string GIFT_SALE = "00022";	

            /// <summary>
            /// 해피기프트충전
            /// </summary>
            public const string HP_GIFT_CHARGED = "00023";	

            /// <summary>
            /// 판매LOSS
            /// </summary>
            public const string SALE_LOSS = "00024";	

            /// <summary>
            /// 관리메뉴(테이블)
            /// </summary>
            public const string TABLE_MANAGEMENT_MENU = "00025";	

            /// <summary>
            /// 영업메뉴(테이블)
            /// </summary>
            public const string TABLE_SALE_MENU = "00026";	

            /// <summary>
            /// 수량증가
            /// </summary>
            public const string QUANTITY = "00027";	

            /// <summary>
            /// + 수량 증가
            /// </summary>
            public const string QTY_PLUS = "00028";	

            /// <summary>
            /// - 수량 감소
            /// </summary>
            public const string QTY_MINUS = "00029";

            /// <summary>
            /// 지정취소
            /// </summary>
            public const string CANCEL_ITEM = "00030";	

            /// <summary>
            /// 거래취소
            /// </summary>
            public const string CANCEL_DEAL = "00031";

            /// <summary>
            /// 결제
            /// </summary>
            public const string PAYMENTS = "00032";

            /// <summary>
            /// 보류
            /// </summary>
            public const string HOLD_DEAL = "00033";

            ///// <summary>
            ///// 테이블 주문
            ///// </summary>
            //public const string TABLE_ORDER = "00034";

            /// <summary>
            /// 할인
            /// </summary>
            public const string SALE_DC = "00035";

            /// <summary>
            /// 단품금액할인
            /// </summary>
            public const string ITEM_DC_AMT = "00036";

            /// <summary>
            /// 단품%할인
            /// </summary>
            public const string ITEM_DC_RATE = "00037";

            /// <summary>
            /// 무료할인
            /// </summary>
            public const string FREE_DC = "00038";

            /// <summary>
            /// 환경사랑DC할인
            /// </summary>
            public const string ELOVE_DC = "00039";

            /// <summary>
            /// 입점매장직원할인
            /// </summary>
            public const string IN_EMP_DC = "00040";

            /// <summary>
            /// 제품교환권
            /// </summary>
            public const string ITEM_CHAGE_CPN = "00041";

            /// <summary>
            /// 판매기타
            /// </summary>
            public const string OTHER_SALES = "00042";

            /// <summary>
            /// 메모
            /// </summary>
            public const string KICHEN_MEMO = "00043";

            /// <summary>
            /// 부가메뉴
            /// </summary>
            public const string ADD_MENU = "00044";

            /// <summary>
            /// 해피오더
            /// </summary>
            public const string HAPPY_ORDERS = "00045";

            /// <summary>
            /// 플레이버
            /// </summary>
            public const string FLAVOR = "00046";

            /// <summary>
            /// 묶음상품
            /// </summary>
            public const string BUNDLE_ITEM = "00047";

            /// <summary>
            /// 직전영수증발행
            /// </summary>
            public const string LAST_DEAL_PRINT = "00048";

            /// <summary>
            /// 단축키
            /// </summary>
            public const string CUT_KEY = "00049";

            /// <summary>
            /// 주문내역 출력
            /// </summary>
            public const string ORDER_PRINT = "00050";

            /// <summary>
            /// NoTax
            /// </summary>
            public const string NOTAX = "00051";

            /// <summary>
            /// Take In/out
            /// </summary>
            public const string TAKE_IN_OUT = "00052";

            /// <summary>
            /// FIRE KEY
            /// </summary>
            public const string FIRE_KEY = "00053";

            /// <summary>
            /// 고객클레임 조회 화면
            /// </summary>
            public const string CUSTOMER_CLAIMS_LIST = "00054";

            /// <summary>
            /// 긴급공지
            /// </summary>
            public const string EMERGENCY_NOTICE = "00055";

            /// <summary>
            /// 외국인응대
            /// </summary>
            public const string FOREIGNERS_RESPONSE = "00056";

            /// <summary>
            /// 더치페이
            /// </summary>
            public const string DUTCH_PAY = "00057";

            /// <summary>
            /// 해피포인트 적립
            /// </summary>
            public const string HAPPY_POINT = "00058";

            /// <summary>
            /// SKT
            /// </summary>
            public const string SKT = "00059";

            /// <summary>
            /// KT
            /// </summary>
            public const string KT = "00060";

            /// <summary>
            /// LGT
            /// </summary>
            public const string LGT = "00061";

            /// <summary>
            /// 기타할인
            /// </summary>
            public const string PAY_OTHER_DC = "00062";

            /// <summary>
            /// 해피쿠폰할인
            /// </summary>
            public const string HAPPY_DC_COUPON = "00063";

            /// <summary>
            /// SPC임직원할인
            /// </summary>
            public const string SPC_EMPLOYEE_DC = "00064";

            /// <summary>
            /// 세브란스할인
            /// </summary>
            public const string SEVERANCE_DC = "00065";

            /// <summary>
            /// 쿠폰할인
            /// </summary>
            public const string DC_COUPONS = "00066";

            /// <summary>
            /// 전체금액할인
            /// </summary>
            public const string TOTAL_DC_AMT = "00067";

            /// <summary>
            /// 전체%할인
            /// </summary>
            public const string TOTAL_DC_RATE = "00068";

            /// <summary>
            /// 케익교환권
            /// </summary>
            public const string CAKE_VOUCHERS = "00069";

            /// <summary>
            /// 현금
            /// </summary>
            public const string CASH = "00070";

            /// <summary>
            /// 신용카드
            /// </summary>
            public const string CREDIT_CARD = "00071";

            /// <summary>
            /// 기타결제
            /// </summary>
            public const string OTHER_PAYMENTS = "00072";

            /// <summary>
            /// 모바일 쿠폰
            /// </summary>
            public const string MOBILE_COUPON = "00073";

            /// <summary>
            /// 수표
            /// </summary>
            public const string CHECK_CASH = "00074";

            /// <summary>
            /// 상품권
            /// </summary>
            public const string GIFT_CARD = "00075";

            /// <summary>
            /// 식권
            /// </summary>
            public const string MEAL_TICKET = "00076";

            /// <summary>
            /// 매장쿠폰
            /// </summary>
            public const string STORE_COUPON = "00077";

            /// <summary>
            /// 해피포인트 사용
            /// </summary>
            public const string HAPPY_POINT_USE = "00078";

            /// <summary>
            /// OLIBANK
            /// </summary>
            public const string OLIBANK = "00079";	

            /// <summary>
            /// OCB 사용
            /// </summary>
            public const string OKCASHBACK = "00080";

            /// <summary>
            /// 블루 멤버스
            /// </summary>
            public const string BLUE_MEMBERS = "00081";

            /// <summary>
            /// 레드 멤버스
            /// </summary>
            public const string RED_MEMBERS = "00082";

            /// <summary>
            /// 삼성포인트
            /// </summary>
            public const string SAMSUNG_POINTS = "00083";

            /// <summary>
            /// 잔액교환권
            /// </summary>
            public const string BALANCE_VOUCHER = "00084";

            /// <summary>
            /// 외화
            /// </summary>
            public const string FOREIGN_CURRENCY = "00085";	

            /// <summary>
            /// 알리페이
            /// </summary>
            public const string ALIPAY = "00086";

            /// <summary>
            /// 세브란스결제
            /// </summary>
            public const string SEVERANCE_PAYMENTS = "00087";	

            /// <summary>
            /// SPC임직원결제
            /// </summary>
            public const string SPC_EMPLOYEES_PAY = "00088";

            /// <summary>
            /// T-MONEY
            /// </summary>
            public const string T_MONEY = "00089";

            /// <summary>  
            /// 선불카드(해피조이)
            /// </summary>
            public const string PREPAID_CARDS_HPJOY = "00090";

            /// <summary>
            /// 캐시비
            /// </summary>
            public const string CASHBEE = "00091";

            /// <summary>
            /// 외상
            /// </summary>
            public const string CREDIT_CUSTOMER = "00092";	

            /// <summary>
            /// 온라인 쿠폰(중국)
            /// </summary>
            public const string ONLINE_COUPONS = "00093";

            /// <summary>
            /// 선불카드 
            /// </summary>
            public const string PREPAID_CARDS = "00094";

            /// <summary>
            /// 해피기프트
            /// </summary>
            public const string HAPPY_GIFTCARD = "00095";	

            /// <summary>
            /// 예약
            /// </summary>
            public const string RESERVATION = "00096";

            /// <summary>
            /// Service Charge
            /// </summary>
            public const string SERVICE_CHARGE = "00097";
            ///// <summary>
            ///// 결제 취소
            ///// </summary>
            //public const string PAYMENT_CANCELED = "00098";

            ///// <summary>
            ///// 추가주문
            ///// </summary>
            //public const string ADDITIONAL_ORDERS = "00099";

            /// <summary>
            /// 이전,닫기,종료
            /// </summary>
            public const string ESC_PREVIOUS = "00100";

            /// <summary>
            /// 상품등록
            /// </summary>
            public const string REGISTER_PLU_ITEM = "00102";

            /// <summary>
            /// 점착정보
            /// </summary>
            public const string STOR_ARRV_INFO = "00103";

            /// <summary>
            /// 영업공지사항 출력
            /// </summary>
            public const string SALES_NOTE = "00104";

            ///// <summary>
            ///// 배송지시서
            ///// </summary>
            //public const string DLV_CMD_LIST = "00105";
            
            /// <summary>
            /// WEB 주문공지
            /// </summary>
            public const string WEB_ORD_NOTE = "00106";
            /// <summary>
            /// WEB 긴급공지
            /// </summary>
            public const string WEB_EMG_NOTE = "00107";
            /// <summary>
            /// WEB 업무
            /// </summary>
            public const string WEB_WORK = "00108";
            /// <summary>
            /// WEB 이지웰
            /// </summary>
            public const string WEB_EZWELL = "00109";
            /// <summary>
            /// WEB 해피오더
            /// </summary>
            public const string WEB_HP_ORD = "00110";
            /// <summary>
            /// WEB 빚은몰
            /// </summary>
            public const string WEB_BIZEUN_MALL = "00111";

            /// <summary>
            /// WEB 쇼핑몰
            /// </summary>
            public const string WEB_SHPNG_MALL = "00112";

            /// <summary>
            /// 상단메뉴 기타
            /// </summary>
            public const string TOP_MENU_ETC = "00113";

            /// <summary>
            /// 상단메뉴 WEB
            /// </summary>
            public const string TOP_MENU_WEB = "00114";

            /// <summary>
            /// 준비금
            /// </summary>
            public const string REMONEY_AMT = "00115";
            /// <summary>
            /// 기타입출금
            /// </summary>
            public const string ETC_DPST_WTHDR = "00116";
            /// <summary>
            /// 마감입금
            /// </summary>
            public const string SALE_CLOSE = "00117";
            /// <summary>
            /// 중간입금
            /// </summary>
            public const string MIDDLE_POS_CLOSE = "00118";
            /// <summary>
            /// 마감취소
            /// </summary>
            public const string POS_CLOSE_CANCEL = "00119";
            /// <summary>
            /// 매출자료조회
            /// </summary>
            public const string SALES_REPORT = "00120";
            /// <summary>
            /// 자료조회
            /// </summary>
            public const string DATA_SEARCH = "00121";
            ///// <summary>
            ///// 영수증조회
            ///// </summary>
            //public const string BILL_SEARCH = "00122";
            /// <summary>
            /// 카드승인내역
            /// </summary>
            public const string CARDS_SEARCH = "00123";
            /// <summary>
            /// 출하/예정 내역조회
            /// </summary>
            public const string SHIPMENT_SEARCH = "00124";
            /// <summary>
            /// 해피포인트 추후 적립 내역
            /// </summary>
            public const string HP_RATE_REPORT = "00125";
            ///// <summary>
            ///// 현금영수증 승인 내역
            ///// </summary>
            //public const string CASHBILL_REPORT = "00126";
            ///// <summary>
            ///// 입출금 내역
            ///// </summary>
            //public const string DPST_WTHDR_SEARCH = "00127";
            ///// <summary>
            ///// 쇼핑몰 주문정보 출력
            ///// </summary>
            //public const string SHPNG_MALL_SEARCH = "00128";
            /// <summary>
            /// 알리페이 인위 개입내역
            /// </summary>
            public const string ALIPAY_SEARCH = "00129";
            /// <summary>
            /// 주방프린터설정
            /// </summary>
            public const string KITHEN_PRINTER_SETTING = "00130";
            ///// <summary>
            ///// MST 다운로드
            ///// </summary>
            //public const string MST_DOWNLOAD = "00131";
            /// <summary>
            /// 옵션설정
            /// </summary>
            public const string OPTION_SETTING = "00132";
            ///// <summary>
            ///// 송/수신 설정
            ///// </summary>
            //public const string SEND_RECV_SETTING = "00133";
            ///// <summary>
            ///// 영수증설정
            ///// </summary>
            //public const string BILL_SETTING = "00134";
            ///// <summary>
            ///// 화면설정
            ///// </summary>
            //public const string DISPLAY_SETTING = "00135";
            ///// <summary>
            ///// 장비설정
            ///// </summary>
            //public const string DEVICE_SETTING = "00136";
            ///// <summary>
            ///// 쇼핑몰설정
            ///// </summary>
            //public const string SHPNG_MALL_SETTING = "00137";
            /// <summary>
            /// 주방프린터체크
            /// </summary>
            public const string KITHEN_PRINTER_CHECK = "00138";
            /// <summary>
            /// 환경설정
            /// </summary>
            public const string ENVIRONMENT_SETTING = "00139";
            /// <summary>
            /// 기타설정
            /// </summary>
            public const string ETC_SETTING = "00140";
            ///// <summary>
            ///// 즐겨찾기등록
            ///// </summary>
            //public const string REG_BOOKMK = "00141";
            /// <summary>
            /// 출/퇴근등록
            /// </summary>
            public const string REG_IN_OUT = "00142";
            /// <summary>
            /// T-MONEY개시
            /// </summary>
            public const string TMONEY_START = "00143";
            /// <summary>
            /// 환율등록
            /// </summary>
            public const string REG_EXCHG_RATE = "00144";
            /// <summary>
            /// 그룹메뉴위치변경(상품키관리)
            /// </summary>
            public const string REG_GRP_MENU_CHNG = "00145";
            /// <summary>
            /// 직원방문등록
            /// </summary>
            public const string REG_EMP_IN = "00146";
            /// <summary>
            /// PVC상자재고등록
            /// </summary>
            public const string REG_PVC = "00147";
            /// <summary>
            /// 플레이버위치변경
            /// </summary>
            public const string REG_FLOVOR = "00148";
            /// <summary>
            /// 테이블셋팅
            /// </summary>
            public const string REG_TABLE = "00149";
            
            /// <summary>
            /// 로그인 번호
            /// </summary>
            public const string LOGIN_NUMBER = "00150";
            /// <summary>
            /// 로그인 알파벳 소문자
            /// </summary>
            public const string LOGIN_ALPHASMALL = "00151";
            /// <summary>
            /// 로그인 알파벳 대문자
            /// </summary>
            public const string LOGIN_ALPHALARGE = "00152";

            /// <summary>
            /// 판매종료
            /// </summary>
            public const string SALE_EXIT = "00153";

            /// <summary>
            /// 거래중지
            /// </summary>
            public const string TRADE_STOP = "00154";

            /// <summary>
            /// 주문완료
            /// </summary>
            public const string ORDER_COMPLETED = "00155";

            /// <summary>
            /// 삼성카드 제휴할인(SFC)
            /// </summary>
            public const string SAMSUNG_SFC = "00156";

            /// <summary>
            /// 상품메모
            /// </summary>
            public const string ITEM_MEMO = "00157";

            ///// <summary>
            ///// 테이블붙임
            ///// </summary>
            //public const string TABLE_JOIN = "00158";

            ///// <summary>
            ///// 테이블해제
            ///// </summary>
            //public const string TABLE_JOIN_CLEAR = "00159";

            /// <summary>
            /// 테이블합석
            /// </summary>
            public const string TABLE_ADD = "00160";

            /// <summary>
            /// 테이블이동
            /// </summary>
            public const string TABLE_MOVE = "00161";

            /// <summary>
            /// 메뉴이동
            /// </summary>
            public const string TABLE_ITEM_MOVE = "00162";

            /// <summary>
            /// 예약
            /// </summary>
            public const string TABLE_RESERV = "00163";

            /// <summary>
            /// 좌석메모
            /// </summary>
            public const string TABLE_MEMO = "00164";

            /// <summary>
            /// 테이블종료
            /// </summary>
            public const string TABLE_EXIT = "00165";

            /// <summary>
            /// 고객클레임 등록/수정 화면
            /// </summary>
            public const string CUSTOMER_CLAIMS_INPUT = "00166";

            /// <summary>
            /// 판매원 시험모드
            /// </summary>
            public const string TEST_MODE = "00167";
            /// <summary>
            /// 입점매장직원할인
            /// </summary>
            public const string PAY_INSTOR_DC = "00168";
            /// <summary>
            /// 교통카드 잔액 조회
            /// </summary>
            public const string TMONEY_SEARCH = "00169";
            /// <summary>
            /// 행사 주문 취합 내역 조회
            /// </summary>
            public const string SCH_EVT = "00170";
            /// <summary>
            /// 아워홈
            /// </summary>
            public const string OURHOME = "00171";
            /// <summary>
            /// 해피포인트 단골고객등록
            /// </summary>
            public const string HP_REGULAR_CUST = "00172";
	        /// <summary>
            /// WEB 점착정보
            /// </summary>
            public const string WEB_STOR_ARRV_INFO = "00173";
            /// <summary>
            /// WEB 배송추적
            /// </summary>
            public const string WEB_STOR_ARRV_DETAIL = "00174";
            /// <summary>
            /// WEB 온도정보
            /// </summary>
            public const string WEB_TMPRT = "00175";
            /// WEB 세브란스
            /// </summary>
            public const string WEB_SEVERANCE = "00176";
            /// <summary>
            /// WEB 제조메뉴얼
            /// </summary>
            public const string WEB_MAKE_MENUAL = "00177";
            /// <summary>
            /// WEB 이달의행사
            /// </summary>
            public const string WEB_MONTH_EVENT = "00178";
            ///// <summary>
            ///// 상품키관리
            ///// </summary>
            //public const string WEB_POS_PLU_MGR = "00179";
            ///// <summary>
            ///// 판매POS환경설정
            ///// </summary>
            //public const string WEB_POS_SETTING = "00180";
            ///// <summary>
            ///// 판매POS옵션설정
            ///// </summary>
            //public const string WEB_POS_OPTION = "00181";
            /// <summary>
            /// 플레이버관리
            /// </summary>
            public const string WEB_POS_REG_FLOVOR = "00182";
            ///// <summary>
            ///// 매장테이블관리
            ///// </summary>
            //public const string WEB_POS_TABLE_MANAGEMENT_MENU = "00183";
            /// <summary>
            /// 매출 자료 수신
            /// </summary>
            public const string TRANLOG_DOWNLOAD = "00184";
            /// <summary>
            /// PGM 다운로드
            /// </summary>
            public const string PGM_DOWNLOAD = "00186";
            /// <summary>
            /// 본사반품조회
            /// </summary>
            public const string RETURN_COMPANY = "00185";
            /// <summary>
            /// 주방주문내역조회
            /// </summary>
            public const string SCH_KTCH_ORDER = "00187";
            /// <summary>
            /// 세트메뉴 상품 변경
            /// </summary>
            public const string SET_MENU_CHANGE = "00188";
            /// <summary>
            /// 승인내역조회
            /// </summary>
            public const string WEB_SCH_APPROVAL = "00189";
            /// <summary>
            /// BGM 관리 사이트
            /// </summary>
            public const string WEB_MGR_BGM = "00190";
            /// <summary>
            /// 중간입금 취소
            /// </summary>
            public const string MIDDLE_POS_CLOSE_CANCEL = "00191";
            /// <summary>
            /// 마감입금 취소
            /// </summary>
            public const string SALE_CLOSE_CANCEL = "00192";
            /// <summary>
            /// 서명패드 UPDATE
            /// </summary>
            public const string SIGNPAD_UPDATE = "00193";
            /// <summary>
            /// 판매준비점검(개점)
            /// </summary>
            public const string STORE_CHECK_LIST = "00194";
            /// <summary>
            /// 프린트초기화
            /// </summary>
            public const string PRINT_INIT = "00195";
            /// <summary>
            /// 준비점검 공지사항
            /// </summary>
            public const string PREP_STOR_NOTICE = "00196";
            /// <summary>
            /// 매출 재전송
            /// </summary>
            public const string TRAN_RESEND = "00197";
            /// <summary>
            /// 기념일배송 출력
            /// </summary>
            public const string REMB_ORDER_PRINT = "00198";
            /// <summary>
            /// 테이블사용 강제 해제 
            /// </summary>
            public const string TABLE_USE_CLEAR = "00199";
            /// <summary>
            /// 유통기한 점검 체크리스트
            /// </summary>
            public const string EXPIRATION_DATE_CHECK_LIST = "00200";
            
            /// <summary>
            /// 영업개시 업무
            /// </summary>
            public const string SALE_OPEN = "00201";
            /// <summary>
            /// 담당자 로그온
            /// </summary>
            public const string LOG_ON = "00202";
            /// <summary>
            /// 프로그램 종료
            /// </summary>
            public const string PROGRAM_EXIT = "00203";
            /// <summary>
            /// 판매등록 업무
            /// </summary>
            public const string POS_SALE = "00204";
            /// <summary>
            /// 입출금/마감 업무
            /// </summary>
            public const string POS_CLOSE = "00205";
            /// <summary>
            /// 조회업무
            /// </summary>
            public const string POS_SEARCH = "00206";
            /// <summary>
            /// 관리업무
            /// </summary>
            public const string POS_SETTING = "00207";
            /// <summary>
            /// 연습모드
            /// </summary>
            public const string POS_TRAINING = "00208";
            /// <summary>
            /// 기타 업무
            /// </summary>
            public const string POS_ETC = "00209";
            /// <summary>
            /// 간이 영수증
            /// </summary>
            public const string POS_ETC_RECEIPT = "00210";
            /// <summary>
            /// 관공서 방문 등록 알림
            /// </summary>
            public const string VISIT_GOVERNMENT_OFFICE = "00211";
            /// <summary>
            /// KT VIP
            /// </summary>
            public const string KT_VIP = "00212";
            /// <summary>
            /// 해피포인트 조회
            /// </summary>
            public const string HAPPY_POINT_SCH = "00213";
            /// <summary>
            /// 더치페이(금액)
            /// </summary>
            public const string DUTCH_PAY_AMT = "00214";
            /// <summary>
            /// 교육
            /// </summary>
            public const string POS_EDU = "00215";
            /// <summary>
            /// 판매원 시험 결과조회
            /// </summary>
            public const string TEST_MODE_SEARCH = "00216";
            /// <summary>
            /// 판매원 시험 전체상품교육
            /// </summary>
            public const string TEST_MODE_PLU_ALL = "00217";
            /// <summary>
            /// 판매원 시험 신상품 교육
            /// </summary>
            public const string TEST_MODE_PLU_NEW = "00218";
            /// <summary>
            /// 판매원 시험 상품 교육 결과조회
            /// </summary>
            public const string TEST_MODE_PLU_SEARCH = "00219";
            /// <summary>
            /// 교육 전체상품 조회
            /// </summary>
            public const string TEST_PLU_SEARCH_ALL = "00220";
            /// <summary>
            /// 교육 신상품 조회
            /// </summary>
            public const string TEST_PLU_SEARCH_NEW = "00221";
            /// <summary>
            /// 백신실행
            /// </summary>
            public const string VACCINE_EXE = "00222";
            /// <summary>
            /// 바코드출력
            /// </summary>
            public const string BARCODE_PRINT = "00223";
            /// <summary>
            /// 현금 보관함 알람
            /// </summary>
            public const string CASH_ALARM = "00224";
            /// <summary>
            /// 담당자별 매출 조회
            /// </summary>
            public const string SALE_EMP_SEARCH = "00225";
            /// <summary>
            /// POS Log 조회
            /// </summary>
            public const string POS_LOG_SEARCH = "00226";
            /// <summary>
            /// 인증
            /// </summary>
            public const string POS_CERTIFY = "00227";
            /// <summary>
            /// 상호인증
            /// </summary>
            public const string POS_CERTIFY_KEYDOWNLOAD = "00228";
            /// <summary>
            /// 무결성관리
            /// </summary>
            public const string POS_CERTIFY_INTEGRITY = "00229";
            /// <summary>
            /// 기타(계산기)
            /// </summary>
            public const string SAL_CALC = "00230";
            /// <summary>
            /// 간편로그인
            /// </summary>
            public const string SIMPLE_LOG_ON = "00231";
            /// <summary>
            /// 배달(콜센터)
            /// </summary>
            public const string ORDER_CALLCENTER = "00232";
            /// <summary>
            /// 배달(배달의민족)
            /// </summary>
            public const string ORDER_BAEMIN = "00233";
            /// <summary>
            /// 추가금액할인
            /// </summary>
            public const string TOTAL_ADDDC_AMT = "00234";
            /// <summary>
            /// 이동단말기 승인 내역
            /// </summary>
            public const string PDA_APP_LOG = "00235";
            /// <summary>
            /// 테이블그룹
            /// </summary>
            public const string TABLE_GROUP = "00236";
            /// <summary>
            /// 테이블그룹해제
            /// </summary>
            public const string TABLE_GROUP_CLEAR = "00237";
            /// <summary>
            /// 테이블기타메뉴 
            /// </summary>
            public const string TABLE_ETC_MENU = "00238";
            /// <summary>
            /// 테이블 결제 
            /// </summary>
            public const string TABLE_PAYMENT = "00239";
            /// <summary>
            /// SPC임직원할인 - 중국
            /// </summary>
            public const string SPC_EMPLOYEE_DC_CHINA = "00240";
            /// <summary>
            /// 점주알바WEB
            /// </summary>
            public const string OWNER_WEB = "00241";            
            /// <summary>
            /// 해피포인트 사용 - 중국
            /// </summary>
            public const string HAPPY_POINT_USE_CHINA = "00242";
            /// <summary>
            /// 모바일 쿠폰 - 차세대 해피콘
            /// </summary>
            public const string MOBILE_COUPON_HAPPYCON = "00243";
            /// <summary>
            /// 해피포인트 적립 - 중국
            /// </summary>
            public const string HAPPY_POINT_SAVE_CHINA = "00244";
            /// <summary>
            /// 층 관리 
            /// </summary>
            public const string FLOOR_MANAGER = "00245";
            /// <summary>
            /// 테이블 추가
            /// </summary>
            public const string TABLE_INSERT = "00246";
            /// <summary>
            /// 테이블 복사 
            /// </summary>
            public const string TABLE_COPY = "00247";
            /// <summary>
            /// 테이블 삭제
            /// </summary>
            public const string TABLE_DELETE = "00248";
            /// <summary>
            /// 테이블 속성
            /// </summary>
            public const string TABLE_PROPERTY = "00249";
            /// <summary>
            /// 테이블 복원(from Sever)
            /// </summary>
            public const string TABLE_RESTORE = "00250";
            /// <summary>
            /// 테이블 백업(to Server)
            /// </summary>
            public const string TABLE_BACKUP = "00251";
            /// <summary>
            /// 테이블 저장(to Local)
            /// </summary>
            public const string TABLE_SAVE = "00252";
            /// <summary>
            /// 테이블 초기화 
            /// </summary>
            public const string TABLE_RESET = "00253";
            /// <summary>
            /// 식품안전의 날
            /// </summary>
            public const string FOOD_SAFETY_DAY = "00254";
            /// <summary>
            /// OK CASHBACK 적립
            /// </summary>
            public const string OKCASHBACK_SAVE = "00255";
            /// <summary>
            /// 식품안전의 날 팝업
            /// </summary>
            public const string FOOD_SAFETY_DAY_POPUP = "00256";
            /// <summary>
            /// 오늘 픽업/배달 주문서출력(해피오더)
            /// </summary>
            public const string TODAY_HPORD_PRINT = "00257";
            /// <summary>
            /// 스마일페이
            /// </summary>
            public const string SMILE_PAY = "00258";
            /// <summary>
            /// T페이
            /// </summary>
            public const string T_PAY = "00259";
            /// <summary>
            /// 주변장치 상태 조회
            /// </summary>
            public const string DEVICE_STATUS_SEARCH = "00260";
            /// <summary>
            /// 해피버즈 등록
            /// </summary>
            public const string HAPPY_BUZ_REG = "00261";
            /// <summary>
            /// 해피버즈 조회
            /// </summary>
            public const string HAPPY_BUZ_SEARCH = "00262";
            /// <summary>
            /// 원격제어프로그램 URL
            /// </summary>
            public const string REMOTE_URL = "00263";
            /// <summary>
            /// 한국공항공사 매출 재전송
            /// </summary>
            public const string KAC_RESEND_SALE = "00264";
            /// <summary>
            /// 도로공사 매출 재전송
            /// </summary>
            public const string EX_RESEND_SALE = "00265";
            /// <summary>
            /// 수표조회
            /// </summary>
            public const string CHECK_SEARCH = "00266";
            /// <summary>
            /// 조회그룹
            /// </summary>
            public const string SEARCH_GROUP = "00267";
            /// <summary>
            /// 상품권조회
            /// </summary>
            public const string GIFT_CARD_SCH = "00268";
            /// <summary>
            /// 모바일쿠폰 조회
            /// </summary>
            public const string MOBILE_COUPON_SCH = "00269";
            /// <summary>
            /// 모바일 쿠폰 - 차세대 해피콘
            /// </summary>
            public const string MOBILE_COUPON_HAPPYCON_SCH = "00270";
            /// <summary>
            /// 로그Viewer
            /// </summary>
            public const string LOG_VIEWER = "00271";
            /// <summary>
            /// 테이블 판매모드
            /// </summary>
            public const string TABLE_NO_ORDER_SALE = "00272";
            /// <summary>
            /// 우리모아포인트
            /// </summary>
            public const string WOORIMORE_POINTS = "00273";
            /// <summary>
            /// 현대M포인트
            /// </summary>
            public const string HYUNDAI_M_POINTS = "00274";
            /// <summary>
            /// 온라인 쿠폰 조회(중국)
            /// </summary>
            public const string ONLINE_COUPONS_SCH = "00275";
            /// <summary>
            /// 테이블 그룹모드 
            /// </summary>
            public const string TABLE_GROUP_MODE = "00276";
            /// <summary>
            /// 일일점검리스트(PCKR)
            /// </summary>
            public const string STORE_EQUIP_CHECK_LIST = "00277";
            /// <summary>
            /// 일일점검상세항목(PCKR)
            /// </summary>
            public const string STORE_EQUIP_CHECK = "00278";
            /// <summary>
            /// 중국 알리페이/위챗페이/은련페이(Rhee, 2017/09/04)
            /// </summary>
            public const string WECHATPAY = "00279";

            /// <summary>
            /// 베트남 신용카드(VIP POINT) - 프리픽스 캠페인 적용
            /// </summary>
            public const string VIP_POINT = "00280";

            /// <summary>
            /// SPC임직원할인(결제) - 상품에 적용하지 않음
            /// </summary>
            public const string SPC_EMPLOYEE_DC_PAY = "00281";
            /// <summary>
            /// 기타결제
            /// </summary>
            public const string PAY_INSTOR_PAY = "00282";
            /// <summary>
            /// 생일초계산
            /// </summary>
            public const string BRITHDAY_CANDLE = "00283";
            /// <summary>
            /// 주문종료(거래 저장없이 주문완료)
            /// </summary>
            public const string ORDER_EXIT = "00284";
            /// <summary>
            /// 선택 아이템 할인
            /// </summary>
            public const string MULTI_DCITEM = "00285";
            /// <summary>
            /// 고객수 수정
            /// </summary>
            public const string EDIT_CUST_CNT = "00286";

            /// <summary>
            /// 배달(요기요)(2017.05.15)
            /// </summary>
            public const string ORDER_YOGIYO = "00287";
            /// <summary>
            /// 카이스트 할인(2017.05.15)
            /// </summary>
            public const string KAIST_DC = "00288";
            /// <summary>
            /// 해피오더사전예약할인(2017.05.15)
            /// </summary>
            public const string HPORDER_REVDC = "00289";
            /// <summary>
            /// 입점건물직원할인(적립)(2017.05.25)
            /// </summary>
            public const string PAY_INSTOR_DC_5 = "00290";
            //#20170731, 해피기프트카드(코나머니) 개발 Start, srlee
            /// <summary>
            /// 해피기프트카드(코나머니)
            /// </summary>
            public const string HPGIFTCARD = "00291";
            //#20170731, 해피기프트카드(코나머니) 개발 End, srlee
            ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
            // 제휴카드(통합) 할인 처리(2017.08.29) -- START
            /// <summary>
            /// 제휴할인(통합)
            /// </summary>
            public const string MOBILE_UNITY = "00292";
            // 제휴카드(통합) 할인 처리(2017.08.29) -- END

            // Rhee, 2017/09/22 딜리버리 외매(선매) 추가 -- START
            /// <summary>
            /// 딜리버리 외매(선매) 기능키 코드 추가
            /// </summary>
            public const string CREDIT_DELIVERY = "00293";
            // Rhee, 2017/09/22 딜리버리 외매(선매) 추가 -- END

            //20171013 dkshin 해피기프트(신) IC/RF 충전 및 승인
            /// <summary>
            /// 해피기프트(신) 충전
            /// </summary>
            public const string HAPPY_GIFTCARD_CHARGE = "00294";

            // Rhee, 2018/01/30 임의 할인(단품) 전체 취소 추가 -- START
            /// <summary>
            /// 딜리버리 외매(선매) 기능키 코드 추가
            /// </summary>
            public const string DISCOUNT_CANCEL = "00295";
            // Rhee, 2018/01/30 임의 할인(단품) 전체 취소 추가 -- END

            //#13753 POS MOT음성 기능 추가 개발요청 start,phj
            /// <summary>
            /// 음성MOT 설정 화면
            /// </summary>
            public const string SOUND_MOT_SETTING_FORM = "00296";
            //#13753 POS MOT음성 기능 추가 개발요청 end,phj

            //#Rhee, 2018/02/12 ALL NO TAX 기능키 추가 -- START
            /// <summary>
            /// ALL NoTax
            /// </summary>
            public const string ALL_NOTAX = "00297";
            //#Rhee, 2018/02/12 ALL NO TAX 기능키 추가 -- END

            //#20170911.001, 중국 위쳇 페이, 샤오청쉬 기프트 카드 바이롱과 연동 개발 Start, girak.kim
            /// 중국 위챗페이(VAN 사는 Bai Rong) 
            /// </summary>
            public const string WECHATPAY_BAIRONG = "02000";

            /// <summary>
            /// 중국 위챗페이(VAN 사는 Bai Rong) 
            /// </summary>
            public const string XIAOCHENGXU_GIFTCARD = "02010";

            //#20170911.001, 중국 위쳇 페이, 샤오청쉬 기프트 카드 바이롱과 연동 개발 End, girak.kim


            //#2018.02.26, 미주 신규 기능치 추가 Start, girak.kim
            // 03000 번호 부터 시작시킴.
            /// <summary>
            /// 미국 해피 포인트
            /// </summary>
            public const string HAPPY_POINT_PCUS = "03000";


            //#2018.02.26, 미주 신규 기능치 추가 end, girak.kim




            public const string COOPERATION_CARD_CANCEL = "00300";


           

            /// <summary>
            /// 후불 테이블 메뉴 항목
            /// </summary>
            public const string TABLE_MENU = "50000";
            /// <summary>
            /// A안 상품 등록 전
            /// </summary>
            public const string A_BEFORE_MENU = "50001";
            /// <summary>
            /// A안 상품등록 후
            /// </summary>
            public const string A_AFTER_MENU = "50002";
            /// <summary>
            /// BC안 상품 등록전(왼쪽)
            /// </summary>
            public const string BC_BEFORE_MENU_L = "50005";
            /// <summary>
            /// BC안 상품 등록후(왼쪽) 
            /// </summary>
            public const string BC_AFTER_MENU_L = "50005";
            /// <summary>
            /// BC안 상품 등록전(오른쪽)
            /// </summary>
            public const string BC_BEFORE_MENU_R = "50006";
            /// <summary>
            /// BC안 상품 등록후(오른쪽)
            /// </summary>
            public const string BC_AFTER_MENU_R = "50006";

            /// <summary>
            /// 결제(메인) 기능키 부분   
            /// </summary>
            public const string PAY_MAIN_MENU = "50007";
            /// <summary>
            /// 결제(포인트) 기능키 부분
            /// </summary>
            public const string PAY_POINT_MENU = "50008";
            /// <summary>
            /// 결제(할인) 기능키 부분
            /// </summary>
            public const string PAY_DC_MENU = "50009";
            /// <summary>
            /// 결제(결제) 기능키 부분
            /// </summary>
            public const string PAY_PAY_MENU = "50010";
            ///// <summary>
            ///// 쿠폰할인 기능키 부분
            ///// </summary>
            //public const string PAY_COUNPON_DC_MENU = "50011";
            /// <summary>
            /// 판매대기 MOT
            /// </summary>
            public const string SALE_WAIT_MOT = "50011";

            /// <summary>
            /// 테이블 편집 메뉴 항목
            /// </summary>
            public const string TABLE_EDIT = "50012";

            ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
            /// <summary>
            /// 기능별 권한자(관리자) 등록
            /// </summary>
            public const string REGISTER_ADMIN = "60001";
            /// <summary>
            /// 주문 담당자 등록
            /// </summary>
            public const string REGISTER_SERVER = "60002";

            //#20171107 통제관리 start, phj
            /// <summary>
            /// 통제관리
            /// </summary>
            public const string AUTHORITY_CNTL = "60003";
            //#20171107 통제관리 end, phj

            /// <summary>
            /// 해피콕
            /// </summary>
            public const string HAPPY_KOK = "99010";
            /// <summary>
            /// 생산등록
            /// </summary>
            public const string PRODUCE_REG = "99011";
            /// <summary>
            /// 출고등록
            /// </summary>
            public const string ORDER_REG = "99012";
            /// <summary>
            /// 입고등록
            /// </summary>
            public const string IN_GOODS = "99013";
            /// <summary>
            /// KDS 부가 정보 사용 - 쒝쒝버거용
            /// </summary>
            public const string SET_KDS_DATA = "99014";
            /// <summary>
            /// KT멤버십 더블할인
            /// </summary>
            public const string KT_DOUBLE = "99015";
            //17.05.18 dkshin 쇼킹박스 추가
            /// <summary>
            /// 쇼킹박스
            /// </summary>
            public const string SHOCKING_BOX = "99016";
            // #20170616, 해피앱 스탬프 Start
            /// <summary>
            /// 해피앱 스탬프
            /// </summary>
            public const string HPAPP_STAMP = "99017";
            // #20170616, 해피앱 스탬프 End
            //#20170828 해피포인트 적립 제외 버튼 추가 phj, start
            /// <summary>
            /// 해피포인트 적립제외
            /// </summary>
            public const string HAPPY_SAVE_EXCLUDE = "99018";
            //#20170828 해피포인트 적립 제외 버튼 추가 phj, end

            //#20171227 인천공항 포스연동 start, phj
            /// <summary>
            /// 인천공항 통합POS 
            /// </summary>
            public const string INCHEON_AIRPORT = "99019";
            //#20171227 공항공사 end, phj

            //---------------------------------
            // 신한카드 포인트 결제 처리를 위한 
            // 신한카드 포인트 결제 항목 추가
            //---------------------------------
            #region 신한카드 포인트 결제 처리를 위한 신한카드 포인트 결제 항목 추가
            /// <summary>
            /// 신한카드 포인트 결제 화면
            /// </summary>
            public const string SHINHANCARD_POINT = "00301";
            #endregion

            //#20171227, 예약증 양식 출력 Start
            /// <summary>
            /// 예약증 양식 출력
            /// </summary>
            public const string RESERVATION_FORM_PRINT = "99020";    
            //#20171227, 예약증 양식 출력 End

            //#20180110 첫번째 제품 선택시 POS MOT에 등록한 TTL or WAV 재생 start
            /// <summary>
            /// 예약증 양식 출력
            /// </summary>
            public const string FIRSTPLU_INPUT = "99021";
            //#20180110 첫번째 제품 선택시 POS MOT에 등록한 TTL or WAV 재생 end

            //#13753 POS MOT음성 기능 추가 개발요청 start,phj
            /// <summary>
            /// 해피포인트 사용
            /// </summary>
            public const string HPP_USE_INPUT = "99022";

            /// <summary>
            /// 현금 영수증
            /// </summary>
            //기능키로 대체
            //public const string CASH_RECEIPT_INPUT = "99023";

            /// <summary>
            /// 구매 영수증
            /// </summary>
            public const string PHRASE_RECEIPT_INPUT = "99024";
            //#13753 POS MOT음성 기능 추가 개발요청 end,phj

            //#20180202 인천공항 VIP 라운지 기능미사용으로 주석처리 start,phj
            /*
            // grayber@20180115 인천공항 VIP 라운지 start - VIP 라운지 POSKey 추가 '99022'
            /// <summary>
            /// 인천공항 VIP 라운지
            /// </summary>
            public const string AIRPORT_VIP_LOUNGE = "99022";
            // grayber@20180115 인천공항 VIP 라운지 end
            */
            //#20180202 인천공항 VIP 라운지 기능미사용으로 주석처리 end,phj

            //grayber@20180208 코레일 마일리지 입력 start - PosKey 추가 '99025'
            /// <summary>
            /// 코레일 마일리지
            /// </summary>
            public const string KORAIL_MILEAGE = "99025";
            //grayber@20180208 코레일 마일리지 입력 end

            //#20180418 고객 구매이력 정보 표시 및 해피쿠폰 발송 start, 20180502
            //기능키 추가 후 권한 체크 기능 적용
            /// <summary>
            /// 해피쿠폰발송
            /// </summary>
            public const string HPYCPN_SEND = "99027";
            //#20180418 고객 구매이력 정보 표시 및 해피쿠폰 발송 end, 20180502

            //#20180413 웰컴카드 신규기능 추가 start,phj
            /// <summary>
            /// 웰컴카드 할인
            /// </summary>
            public const string WELCOMECARD_DC = "99028";
            /// <summary>
            /// 웰컴카드 해피앱 고객등록
            /// </summary>
            public const string WELCOMECARD_HPAPP_REGISTER = "99029";
            /// <summary>
            /// 웰컴카드 발급
            /// </summary>
            public const string WELCOMECARD_ISSUE = "99030";

            //#20180413 웰컴카드 신규기능 추가 end,phj


            //#15746 해피오더 '쇼킹박스' 관련 POS 시스템 개발 요청 start
            /// <summary>
            /// 상품정보출력
            /// </summary>
            public const string ITEMINFO_PRINT = "99031";
            //#15746 해피오더 '쇼킹박스' 관련 POS 시스템 개발 요청 end

            //#15897 요청)점포생산제품 바코드 출력기능 수정요청 start
            /// <summary>
            /// 점포 생산 상품 바코드 라벨 출력
            /// </summary>
            public const string SRM_LABELPRT = "99032";
            //#15897 요청)점포생산제품 바코드 출력기능 수정요청 end

            //#15884 해피오더 실시간 추가재고 등록메뉴 및 알람기능 개발 start
            /// <summary>
            /// 해피오더 실시간 재고 알림 
            /// </summary>
            public const string HPO_INVENTORY_ALRAM = "99033";
            //#15884 해피오더 실시간 추가재고 등록메뉴 및 알람기능 개발 end


        }
        #endregion 메뉴키 정의
    }
}
