﻿using System.Reflection;
using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;

// 어셈블리의 일반 정보는 다음 특성 집합을 통해 제어됩니다.
// 어셈블리와 관련된 정보를 수정하려면
// 이 특성 값을 변경하십시오.
[assembly: AssemblyTitle("NewPosInstaller")]
[assembly: AssemblyDescription("SPC NewPosInstaller")]
[assembly: AssemblyConfiguration("")]
[assembly: AssemblyCompany("")]
[assembly: AssemblyProduct("SPC NewPosInstaller")]
[assembly: AssemblyCopyright("Copyright ©  2016")]
[assembly: AssemblyTrademark("")]
[assembly: AssemblyCulture("")]

// ComVisible을 false로 설정하면 이 어셈블리의 형식이 COM 구성 요소에 
// 표시되지 않습니다.  COM에서 이 어셈블리의 형식에 액세스하려면 
// 해당 형식에 대해 ComVisible 특성을 true로 설정하십시오.
[assembly: ComVisible(false)]

// 이 프로젝트가 COM에 노출되는 경우 다음 GUID는 typelib의 ID를 나타냅니다.
[assembly: Guid("88ba1a30-fa06-4e5e-a7d3-654d318c0744")]

// 어셈블리의 버전 정보는 다음 네 가지 값으로 구성됩니다.
//
//      주 버전
//      부 버전 
//      빌드 번호
//      수정 버전
//
// 모든 값을 지정하거나 아래와 같이 '*'를 사용하여 빌드 번호 및 수정 버전이 자동으로
// 지정되도록 할 수 있습니다.
// [assembly: AssemblyVersion("1.0.*")]
[assembly: AssemblyVersion("1.0.0.38")]
[assembly: AssemblyFileVersion("1.0.0.38")]

// History
// 1.0.0.0                      최초작성
// 1.0.0.1      2017.01.20      삼립 / 파스쿠치 Icon 파일 추가 
//                              삼립 점포코드 매핑 정보 추가 
//                                  -. 05217 -> 1305217     eat2go서울역
//                                  -. 00471 -> 1300471     빛은)PSC네트웍스 
// 1.0.0.2      2017.02.15      장치정보 이행 수정 
//                                  -. 돈통 모델, Port, BaudRate 항목 추가 
// 1.0.0.3      2017.03.01      서버정보 이행 수정 
//                                  - FTP 연결모드 항목 추가 
// 1.0.0.4      2017.03.01      "맑은 고딕" 폰트 설치 추가 
//                              설치일정 항상조회 처리로 변경
// 1.0.0.5      2017.03.03      Config.INI에 Store Name, Addr 추가 
// 1.0.0.6      2017.03.06      설치스캐쥴 표현방법 변경 
// 1.0.0.7      2017.03.06      터치키/플레이버 마스터 필드구분자 치환처리 
// 1.0.0.8      2017.03.06      예약테이블 연습모드 구분값 (FILLER1) 적용
// 1.0.0.9      2017.03.09      업데이트 로직 강화처리 
// 1.0.0.10     2017.03.17      ConfigInfo.LogLevel 기본값 2 -> 3 변경
// 1.0.0.11     2017.03.20      이미지 다운로드 요청, 변경분 -> 전체 변경
// 1.0.0.12     2017.03.21      Server DNS => IPAddress 변환코드 추가
// 1.0.0.13     2017.03.23      이미지 다운로드 정보 요청 응답코드 처리 추가 
// 1.0.0.14     2017.03.23      이미지 다운로드 프로세스 제외 -> POS 실행시 다운로드 처리 
// 1.0.0.15     2017.03.24      주방장치코드 format 변경 00 -> 0 
// 1.0.0.16     2017.03.25      주방장치코드 format 원복 0 -> 00 
//                              후불 메인/서브 POS 구분 보완
// 1.0.0.17     2017.03.25      BR 서명패드 사용여부 별도 처리  
// 1.0.0.18     2017.04.04      ClearType 레지스트리 설정 -> 재부팅 필요 
// 1.0.0.19     2017.04.07      맑은고딕 XP용버전 추가 => VistaFont_KOR.EXE
// 1.0.0.20     2017.04.13      맑은고딕 XP용버전 추가 버그 수정 
// 1.0.0.21     2017.04.17      O2MSR.exe MSR 에뮬레이터(SPCN 제공) 배포 
//                              MSR 정보 이행 => O2MSR.Conf
// 1.0.0.22     2017.04.17      O2MSR.Conf의 VENDOR 항목 미사용(제거)
// 1.0.0.23     2017.04.18      Cardreader Type 로그 강화
//                              => MSR(USB:KeybordWedge), MSR(Serial:Emulator), IC
// 1.0.0.24     2017.04.18      삼립 변경 점포코드 업데이트 
//                                  -. 431건 
// 1.0.0.25     2017.04.18      Database table Create Script 생성 및 폰트설치 처리후 리턴값 수정
// 1.0.0.26     2017.04.19      FTP 다운로드 시 0Byte 파일 생성되는 버그 수정 
// 1.0.0.27     2017.04.20      ComLib.GetIpAddress() 함수 기능 보완 => PORT 번호 처리 
//                              XP폰트 설치 로직 버그 수정 
// 1.0.0.28     2017.04.21      삼립(SLKR) FTP Connection Type = PassviceMode 로 강제이행 처리  
// 1.0.0.29     2017.04.24      Serial Type MSR 정보(ComPort, Boudreate) 레지스트리 참조 추가 (SPCN 요청)  
// 1.0.0.30     2017.04.24      Window 7 O/S 호환성 관리자 메시지 출력 방지 처리  
//                              => app.manifest 코드변경
// 1.0.0.31     2017.04.25      CAT 단말기 모델 값 변경 
//                                  0:구형(IC불가능), 1:신형(IC가능) => "11:국내", "21:샨더", "22:은련"
// 1.0.0.32     2017.04.28      O2MSR.Conf 파일 생성후 백업처리
// 1.0.0.33     2017.05.04      포스옵션정보 서버 이행 처리 
// 1.0.0.34     2017.05.08      장치 이행 상태정보 로그 수정 (O2MSR.Conf 이행로그와 분리) 
//                              카드리더기상태정보 (22:CARD_READER_TYPE) 로그 수정
// 1.0.0.35     2017.06.07      구형 CAT 단말기는 사용하지 않음 (안호성B이 SPCN에 확인)
//                              CATDEV_TYPE 관련항목 주석처리 함.
// 1.0.0.36     2017.06.27      VistaFont_KOR.EXE 를 바이로봇에서 바이러스로 인식하여 설치 전 rename 설치 후 rename
// 1.0.0.37     2017.07.04      VistaFont_KOR.EXE 를 이용한 맑은 고딕 설치 방식 변경
// 1.0.0.38     2017.07.24      O2MSR.Conf 관련 건드는 부분 주석 처리