﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;
using System.Diagnostics;

namespace Cosmos.Win
{
    static class Program
    {
        /// <summary>
        /// 해당 응용 프로그램의 주 진입점입니다.
        /// </summary>
        [STAThread]
        static void Main(string[] args)
        {
            if (args == null || args.Length == 0) return;

            string[] saParaArgs = args[0].Split('|');
            if (saParaArgs.Length < 9) return;

            string sProcessName = System.Reflection.Assembly.GetExecutingAssembly().GetName().Name;
            Process[] arProcess = Process.GetProcessesByName(sProcessName);
            if (arProcess.Length > 1)
            {
                Application.Exit();
                return;
            }

            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new frmWebBiz(args[0]));

            Application.ExitThread();
        }
    }
}
