﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace SPC.Kiosk.Base
{
    /// <summary>
    /// Basic View Model
    /// </summary>
    public abstract class ViewModelBase : INotifyPropertyChanged 
    {
        /// <summary>
        /// View Model a Member PropertyChanged EventHandler
        /// </summary>
        public event PropertyChangedEventHandler PropertyChanged;


        protected virtual void PropertyChange(string propName)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propName));
        }

    }
}
