﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using SPC.Kiosk.Common;
namespace SPC.Kiosk.Popup.Model
{
    /// <summary>
    /// 통신사 할인 정보
    /// </summary>
    public class M_MobileCompanyReturn
    {
        /// <summary>
        /// 통신사
        /// </summary>
        public MobileCompanyType Company { get; set; }
        /// <summary>
        /// 회원인증번호
        /// </summary>
        public string MemberCode { get; set; } = string.Empty;
        /// <summary>
        /// 할인 대상 금액
        /// </summary>
        public double ApprovalPayments { get; set; } = 0d;
        /// <summary>
        /// 할인 금액
        /// </summary>
        public double DiscountValue { get; set; } = 0d;
        /// <summary>
        /// 승인 순번
        /// </summary>
        public long PaySEQ { get; set; }


    }
}