﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using SPC.Kiosk.Common;

namespace SPC.Kiosk.Popup.Model
{
    /// <summary>
    /// OK 캐쉬백 인증 및 사용정보
    /// </summary>
    public class M_OkCashBagReturn
    {
        /// <summary>
        /// 회원명
        /// </summary>
        public string MemberName { get; set; } = string.Empty;
        /// <summary>
        /// 회원인증번호
        /// </summary>
        public string MemberCode { get; set; } = string.Empty;
        /// <summary>
        /// 적립된 포인트
        /// </summary>
        public double MemberPoint { get; set; } = 0;
        /// <summary>
        /// 적립 유무
        /// </summary>
        public bool ReservePoint { get; set; } = false;
        /// <summary>
        /// 포인트 사용유무
        /// </summary>
        public bool PointUse { get; set; } = false;
        /// <summary>
        /// 사용 포인트
        /// </summary>
        public double UsingPoints { get; set; } = 0;
        /// <summary>
        /// Password 사용유무
        /// </summary>
        public bool NeedPassword { get; set; }
        /// <summary>
        /// 승인번호
        /// </summary>
        public string ApprovalNo { get; set; } = string.Empty;
        /// <summary>
        /// 승인일자
        /// </summary>
        public string ApprovalDate { get; set; } = string.Empty;
    }
}