﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using SPC.Kiosk.Common;
namespace SPC.Kiosk.Popup.Model
{
    /// <summary>
    /// Payment End Return Model
    /// </summary>
    public class M_PaymentEndReturn
    {
        /// <summary>
        /// 개인 현금 연수중 발행 필요
        /// </summary>
        public bool IsCashReceipt { get; set; } = false;
        /// <summary>
        /// 법인 혐금 영수증 발행 필요
        /// </summary>
        public bool IsCompayCashReceipt { get; set; } = false;
        /// <summary>
        /// 현금 영수증 조회 번호
        /// </summary>
        public string CashReceiptCode { get; set; } = string.Empty;
        /// <summary>
        /// 현금 영수증 발행 대상 금액
        /// </summary>
        public int CashPayments { get; set; } = 0;
        /// <summary>
        /// 대기번호
        /// </summary>
        public string WaitNumber { get; set; } = string.Empty;
        /// <summary>
        /// 진동벨 번호
        /// </summary>
        public string VibrationBellNumber { get; set; } = string.Empty;
        /// <summary>
        /// 일림톡 대상 휴대폰 번호
        /// </summary>
        public string NotifyTalkPhoneNumber { get; set; } = string.Empty;
        /// <summary>
        /// 승인 순번
        /// </summary>
        public long PaySEQ { get; set; } = -1L;
    }
}