/* 2019-02-19 15:33 CREATE SCRIPT */
/* 2019-02-25 17:47 MODIFY SCRIPT */
/* 2019-02-27 11:55 MODIFY SCRIPT */
/* 2019-03-07 13:00 'NHS_CUST_BUY_HIST' Table  */
/* 2019-03-07 13:00 'NHS_LANG_MSG' Table  'PRD_CATE_CD', 'ITEM_CD' Column  */
/* 2019-03-08 10:30 'NHS_STOR_PRD_KEY' Table 'FILE_NAME' Column ߰ */
/* 2019-03-08 13:00 'NHS_PRD_OPTN' Table  'PRD_CATE_CD' Column  */
/* 2019-03-11 16:00 'NHS_STOR_PRD_TAG' Table ߰ */
/* 2019-03-11 16:00 Table 'NHS_STORE_PRD_CATE' 'NHS_STOR_PRD_CATE'   */
/* 2019-03-11 16:00 Table 'NHS_STORE_PRD_KEY' 'NHS_STOR_PRD_KEY'   */
/* 2019-03-11 17:00 'NHS_STOR_PRD_CATE' Table  */
/* 2019-03-11 17:00 'NHS_PRD_CATE_L' Table  */
/* 2019-03-11 17:00 'NHS_PRD_CATE_M' Table  */
/* 2019-03-15 13:400 'NHS_CUST_BUY_HIST' Table re߰() */
/* 2019-03-18 11:35 'NHS_CUST_BUY_HIST' Table  */
/* 2019-03-18 11:35 'NHS_STOR_PRD_KEY' Table  'BAR_CD' Column ߰ */
/* 2019-03-18 11:35 'NHS_STOR_PRD_KEY' Table  'ORDER_TYPE' Column ߰ */
USE [POSMST]
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO

IF EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NHS_SCREEN]') AND type in (N'U'))
BEGIN
	DROP TABLE [dbo].[NHS_SCREEN]
END
GO
IF EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NHS_SCREEN_CONTENTS]') AND type in (N'U'))
BEGIN
	DROP TABLE [dbo].[NHS_SCREEN_CONTENTS]
END
GO
IF EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NHS_SCREEN_LAYER]') AND type in (N'U'))
BEGIN
	DROP TABLE [dbo].[NHS_SCREEN_LAYER]
END
GO
IF EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NHS_STOR_PRD_KEY]') AND type in (N'U'))
BEGIN
	DROP TABLE [dbo].[NHS_STOR_PRD_KEY]
END
GO
IF EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NHS_UI_TEMPLATE]') AND type in (N'U'))
BEGIN
	DROP TABLE [dbo].[NHS_UI_TEMPLATE]
END
GO
IF EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NHS_CPI_CONTENTS]') AND type in (N'U'))
BEGIN
	DROP TABLE [dbo].[NHS_CPI_CONTENTS]
END
GO
IF EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NHS_LANG_MSG]') AND type in (N'U'))
BEGIN
	DROP TABLE [dbo].[NHS_LANG_MSG]
END
GO
IF EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NHS_LAYOUT]') AND type in (N'U'))
BEGIN
	DROP TABLE [dbo].[NHS_LAYOUT]
END
GO
IF EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NHS_PRD_MST]') AND type in (N'U'))
BEGIN
	DROP TABLE [dbo].[NHS_PRD_MST]
END
GO
IF EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NHS_OPTN_MST]') AND type in (N'U'))
BEGIN
	DROP TABLE [dbo].[NHS_OPTN_MST]
END
GO
IF EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NHS_PRD_OPTN_GRP]') AND type in (N'U'))
BEGIN
	DROP TABLE [dbo].[NHS_PRD_OPTN_GRP]
END
GO
IF EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NHS_PRD_OPTN]') AND type in (N'U'))
BEGIN
	DROP TABLE [dbo].[NHS_PRD_OPTN]
END
GO
IF EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NHS_PRD_CATE]') AND type in (N'U'))
BEGIN
	DROP TABLE [dbo].[NHS_PRD_CATE]
END
GO
IF EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NHS_STOR_PRD_TAG]') AND type in (N'U'))
BEGIN
	DROP TABLE [dbo].[NHS_STOR_PRD_TAG]
END
GO
IF EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NHS_LINK_ITEM]') AND type in (N'U'))
BEGIN
	DROP TABLE [dbo].[NHS_LINK_ITEM]
END
GO
IF EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NHS_STOR_FLAVOR]') AND type in (N'U'))
BEGIN
	DROP TABLE [dbo].[NHS_STOR_FLAVOR]
END
GO

SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NHS_SCREEN]') AND type in (N'U'))
BEGIN
	CREATE TABLE [dbo].[NHS_SCREEN](
		[CMP_CD] [nvarchar](4) NOT NULL,
		[SALES_ORG_CD] [nvarchar](4) NOT NULL,
		[STOR_CD] [nvarchar](10) NOT NULL,
		[SCREEN_CD] [nvarchar](10) NOT NULL,
		[LAYOUT_CD] [nvarchar](10) NOT NULL,
		[SCREEN_NM] [nvarchar](200) NULL,
		[SCREEN_DESC] [nvarchar](1000) NULL,
		[DISPLAY_YN] [nvarchar](1) NULL,
		[DISPLAY_START_DT] [nvarchar](8) NULL,
		[DISPLAY_END_DT] [nvarchar](8) NULL,
		[REG_USER_ID] [nvarchar](50) NOT NULL,
		[REG_DATE] [datetime] NOT NULL DEFAULT getdate(),
		[UPD_USER_ID] [nvarchar](50) NULL,
		[UPD_DATE] [datetime] NULL,
		[SCREEN_KIND] [nvarchar](10) NOT NULL,
		CONSTRAINT [PK_NHS_SCREEN] PRIMARY KEY CLUSTERED 
		(
			[CMP_CD] ASC,
			[SALES_ORG_CD] ASC,
			[STOR_CD] ASC,
			[SCREEN_CD] ASC
		)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
	) ON [PRIMARY]
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN',@level2type=N'COLUMN',@level2name=N'SALES_ORG_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ڵ( ''000'')',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN',@level2type=N'COLUMN',@level2name=N'STOR_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ȭ̵',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN',@level2type=N'COLUMN',@level2name=N'SCREEN_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ȭ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN',@level2type=N'COLUMN',@level2name=N'SCREEN_NM'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ȭ鼳',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN',@level2type=N'COLUMN',@level2name=N'SCREEN_DESC'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ȭ鱸ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN',@level2type=N'COLUMN',@level2name=N'LAYOUT_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'⿩',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN',@level2type=N'COLUMN',@level2name=N'DISPLAY_YN'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN',@level2type=N'COLUMN',@level2name=N'DISPLAY_START_DT'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN',@level2type=N'COLUMN',@level2name=N'DISPLAY_END_DT'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ۼID',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN',@level2type=N'COLUMN',@level2name=N'REG_USER_ID'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ۼ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN',@level2type=N'COLUMN',@level2name=N'REG_DATE'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ID',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN',@level2type=N'COLUMN',@level2name=N'UPD_USER_ID'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN',@level2type=N'COLUMN',@level2name=N'UPD_DATE'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN',@level2type=N'COLUMN',@level2name=N'CMP_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ũ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN',@level2type=N'COLUMN',@level2name=N'SCREEN_KIND'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N' ȭ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN'
	
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NHS_SCREEN_CONTENTS]') AND type in (N'U'))
BEGIN
	CREATE TABLE [dbo].[NHS_SCREEN_CONTENTS](
		[CMP_CD] [nvarchar](4) NOT NULL,
		[SALES_ORG_CD] [nvarchar](4) NOT NULL,
		[STOR_CD] [nvarchar](10) NOT NULL,
		[LAYER_CD] [nvarchar](3) NOT NULL,
		[CONTENTS_ID] [nvarchar](10) NOT NULL,
		[SCREEN_CD] [nvarchar](10) NOT NULL,
		[FRAME_CD] [nvarchar](2) NOT NULL,
		[DISPLAY_ORDER] [int] NULL,
		[DISPLAY_START_TIME] [nvarchar](4) NULL,
		[DISPLAY_END_TIME] [nvarchar](4) NULL,
		[FILE_FULLPATH] [nvarchar](200) NULL,
		[FILE_NAME] [nvarchar](100) NULL,
		[FILE_MIME_TYPE] [nvarchar](10) NULL,
		[PLAY_TIME] [nvarchar](5) NULL,
		[LINK_YN] [nvarchar](1) NULL,
		[PRD_CATE_L] [nvarchar](4) NULL,
		[PRD_CATE_M] [nvarchar](4) NULL,
		[REG_USER_ID] [nvarchar](50) NOT NULL,
		[REG_DATE] [datetime] NOT NULL DEFAULT getdate(),
		[UPD_USER_ID] [nvarchar](50) NULL,
		[UPD_DATE] [datetime] NULL,
		[SCREEN_KIND] [nvarchar](10) NOT NULL,
		CONSTRAINT [PK_NHS_SCREEN_CONTENTS] PRIMARY KEY CLUSTERED 
		(
			[CMP_CD] ASC,
			[SALES_ORG_CD] ASC,
			[STOR_CD] ASC,
			[LAYER_CD] ASC,
			[CONTENTS_ID] ASC
		)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
	) ON [PRIMARY]
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN_CONTENTS',@level2type=N'COLUMN',@level2name=N'CMP_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN_CONTENTS',@level2type=N'COLUMN',@level2name=N'SALES_ORG_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ڵ( ''000'')',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN_CONTENTS',@level2type=N'COLUMN',@level2name=N'STOR_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ȭ̵',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN_CONTENTS',@level2type=N'COLUMN',@level2name=N'SCREEN_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'̵̾',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN_CONTENTS',@level2type=N'COLUMN',@level2name=N'LAYER_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ҽ̵',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN_CONTENTS',@level2type=N'COLUMN',@level2name=N'CONTENTS_ID'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN_CONTENTS',@level2type=N'COLUMN',@level2name=N'DISPLAY_ORDER'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ð ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN_CONTENTS',@level2type=N'COLUMN',@level2name=N'DISPLAY_START_TIME'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ð ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN_CONTENTS',@level2type=N'COLUMN',@level2name=N'DISPLAY_END_TIME'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ϰ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN_CONTENTS',@level2type=N'COLUMN',@level2name=N'FILE_FULLPATH'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ϸ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN_CONTENTS',@level2type=N'COLUMN',@level2name=N'FILE_NAME'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN_CONTENTS',@level2type=N'COLUMN',@level2name=N'FILE_MIME_TYPE'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ð',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN_CONTENTS',@level2type=N'COLUMN',@level2name=N'PLAY_TIME'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ũ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN_CONTENTS',@level2type=N'COLUMN',@level2name=N'LINK_YN'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ǰīװзڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN_CONTENTS',@level2type=N'COLUMN',@level2name=N'PRD_CATE_L'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ǰīװߺзڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN_CONTENTS',@level2type=N'COLUMN',@level2name=N'PRD_CATE_M'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ۼID',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN_CONTENTS',@level2type=N'COLUMN',@level2name=N'REG_USER_ID'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ۼ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN_CONTENTS',@level2type=N'COLUMN',@level2name=N'REG_DATE'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ID',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN_CONTENTS',@level2type=N'COLUMN',@level2name=N'UPD_USER_ID'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN_CONTENTS',@level2type=N'COLUMN',@level2name=N'UPD_DATE'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'Ӿ̵(ӹȣ)',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN_CONTENTS',@level2type=N'COLUMN',@level2name=N'FRAME_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ȭ ̾ ҽ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN_CONTENTS'
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NHS_SCREEN_LAYER]') AND type in (N'U'))
BEGIN
	CREATE TABLE [dbo].[NHS_SCREEN_LAYER](
		[CMP_CD] [nvarchar](4) NOT NULL,
		[SALES_ORG_CD] [nvarchar](4) NOT NULL,
		[STOR_CD] [nvarchar](10) NOT NULL,
		[FRAME_CD] [nvarchar](2) NOT NULL,
		[LAYER_CD] [nvarchar](3) NOT NULL,
		[SCREEN_CD] [nvarchar](10) NOT NULL,
		[FRAME_VERTICAL_SIZE] [nvarchar](4) NULL,
		[LAYER_DISPLAY_ORDER] [int] NULL,
		[FIX_YN] [nvarchar](1) NULL,
		[REG_USER_ID] [nvarchar](50) NOT NULL,
		[REG_DATE] [datetime] NOT NULL DEFAULT getdate(),
		[UPD_USER_ID] [nvarchar](50) NULL,
		[UPD_DATE] [datetime] NULL,
		[SCREEN_KIND] [nvarchar](10) NOT NULL,
		CONSTRAINT [PK_NHS_SCREEN_LAYER] PRIMARY KEY CLUSTERED 
		(
			[CMP_CD] ASC,
			[SALES_ORG_CD] ASC,
			[STOR_CD] ASC,
			[FRAME_CD] ASC,
			[LAYER_CD] ASC
		)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
	) ON [PRIMARY]
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN_LAYER',@level2type=N'COLUMN',@level2name=N'CMP_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN_LAYER',@level2type=N'COLUMN',@level2name=N'SALES_ORG_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ȭ̵',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN_LAYER',@level2type=N'COLUMN',@level2name=N'SCREEN_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'Ӿ̵(ӹȣ)',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN_LAYER',@level2type=N'COLUMN',@level2name=N'FRAME_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'̵̾',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN_LAYER',@level2type=N'COLUMN',@level2name=N'LAYER_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'_ػ_',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN_LAYER',@level2type=N'COLUMN',@level2name=N'FRAME_VERTICAL_SIZE'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'̾',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN_LAYER',@level2type=N'COLUMN',@level2name=N'LAYER_DISPLAY_ORDER'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'(ϴܺκ ó)',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN_LAYER',@level2type=N'COLUMN',@level2name=N'FIX_YN'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ۼID',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN_LAYER',@level2type=N'COLUMN',@level2name=N'REG_USER_ID'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ۼ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN_LAYER',@level2type=N'COLUMN',@level2name=N'REG_DATE'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ID',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN_LAYER',@level2type=N'COLUMN',@level2name=N'UPD_USER_ID'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN_LAYER',@level2type=N'COLUMN',@level2name=N'UPD_DATE'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ڵ( ''000'')',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN_LAYER',@level2type=N'COLUMN',@level2name=N'STOR_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ȭ ̾',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_SCREEN_LAYER'
END
GO
SET ANSI_PADDING OFF
GO
/*
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NHS_STOR_PRD_CATE]') AND type in (N'U'))
BEGIN
	CREATE TABLE [dbo].[NHS_STOR_PRD_CATE](
		[CMP_CD] [nvarchar](4) NOT NULL,
		[SALES_ORG_CD] [nvarchar](4) NOT NULL,
		[STOR_CD] [nvarchar](10) NOT NULL,
		[PRD_CATE_UP_CD] [nvarchar](4) NOT NULL,
		[PRD_CATE_CD] [nvarchar](4) NOT NULL,
		[FILE_FULLPATH] [nvarchar](200) NULL,
		[FILE_NAME] [nvarchar](100) NULL,
		[DISPLAY_ORDER] [int] NULL,
		[USE_YN] [nvarchar](1) NOT NULL DEFAULT '1',
		[HIDE_YN] [nvarchar](1) NULL,
		[REG_USER_ID] [nvarchar](50) NOT NULL,
		[REG_DATE] [datetime] NOT NULL DEFAULT getdate(),
		[UPD_USER_ID] [nvarchar](50) NULL,
		[UPD_DATE] [datetime] NULL,
		CONSTRAINT [PK_NHS_STOR_PRD_CATE] PRIMARY KEY CLUSTERED 
		(
			[CMP_CD] ASC,
			[SALES_ORG_CD] ASC,
			[STOR_CD] ASC,
			[PRD_CATE_UP_CD] ASC,
			[PRD_CATE_CD] ASC
		)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
	) ON [PRIMARY]
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_STOR_PRD_CATE',@level2type=N'COLUMN',@level2name=N'CMP_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_STOR_PRD_CATE',@level2type=N'COLUMN',@level2name=N'SALES_ORG_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_STOR_PRD_CATE',@level2type=N'COLUMN',@level2name=N'STOR_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'īװڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_STOR_PRD_CATE',@level2type=N'COLUMN',@level2name=N'PRD_CATE_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'īװڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_STOR_PRD_CATE',@level2type=N'COLUMN',@level2name=N'PRD_CATE_UP_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ϰ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_STOR_PRD_CATE',@level2type=N'COLUMN',@level2name=N'FILE_FULLPATH'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ϸ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_STOR_PRD_CATE',@level2type=N'COLUMN',@level2name=N'FILE_NAME'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_STOR_PRD_CATE',@level2type=N'COLUMN',@level2name=N'DISPLAY_ORDER'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'뿩',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_STOR_PRD_CATE',@level2type=N'COLUMN',@level2name=N'USE_YN'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'迩',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_STOR_PRD_CATE',@level2type=N'COLUMN',@level2name=N'HIDE_YN'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ۼ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_STOR_PRD_CATE',@level2type=N'COLUMN',@level2name=N'REG_DATE'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ۼID',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_STOR_PRD_CATE',@level2type=N'COLUMN',@level2name=N'REG_USER_ID'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_STOR_PRD_CATE',@level2type=N'COLUMN',@level2name=N'UPD_DATE'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ID',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_STOR_PRD_CATE',@level2type=N'COLUMN',@level2name=N'UPD_USER_ID'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N' ǰīװ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_STOR_PRD_CATE'
END
GO
SET ANSI_PADDING OFF
GO
*/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NHS_STOR_PRD_KEY]') AND type in (N'U'))
BEGIN
	CREATE TABLE [dbo].[NHS_STOR_PRD_KEY](
		[CMP_CD] [nvarchar](4) NOT NULL,
		[SALES_ORG_CD] [nvarchar](4) NOT NULL,
		[STOR_CD] [nvarchar](10) NOT NULL,
		[PRD_CATE_CD] [nvarchar](4) NOT NULL,
		[TOUCH_KEY_CD] [nvarchar](20) NOT NULL,
		[ITEM_CD] [nvarchar](20) NULL,
		[DISPLAY_ORDER] [int] NULL,
		[USE_YN] [nvarchar](1) NOT NULL DEFAULT '1',
		[SOLDOUT_YN] [nvarchar](1) NULL,
		[RECOMMAND_YN] [nvarchar](1) NULL,
		[NEW_YN] [nvarchar](1) NULL,
		[PRESENT_YN] [nvarchar](1) NULL,
		[SALES_PRC] [int],
		[OPTN_YN] [nvarchar](1) NULL,
		[TOUCH_KEY_NM] [nvarchar](100) NULL,
		[LAST_UPD_TIME] [datetime] NULL,
		[FILE_NAME] [nvarchar](100) NULL,
		[BAR_CD] [nvarchar](10) NULL,
		[ORDER_TYPE] [nvarchar](1) NULL,
		[REG_USER_ID] [nvarchar](50) NOT NULL,
		[REG_DATE] [datetime] NOT NULL DEFAULT getdate(),
		[UPD_USER_ID] [nvarchar](50) NULL,
		[UPD_DATE] [datetime] NULL,
		[TOUCH_KEY_KIND] [nvarchar](4) NULL,
		[MAPPING_CD] [nvarchar](10) NULL,
		[PRD_LINK_PAGE1] [nvarchar](2) NULL,
		[PRD_LINK_PAGE2] [nvarchar](2) NULL,
		[SET_YN] [nvarchar](1) NULL,
		[SET_ITEM_CD] [nvarchar](10) NULL,
		[SET_ITEM_CNT] [int] NULL,
		[FLAVOR_YN] [nvarchar](1) NULL,
		[FLAVOR_CNT] [int] NULL,
		[OPTN_CNT_CHG_YN] [nvarchar](1) NULL,
		[SET_CHANGE_YN] [nvarchar](1) NULL,
		[SET_CHANGE_ITEM_CD] [nvarchar](10) NULL,
		[EVENT_CHANGE_YN] [nvarchar](1) NULL,
		[EVENT_ITEM_CD] [nvarchar](10) NULL,
		[D2_USE_YN] [nvarchar](1) NULL,
		CONSTRAINT [PK_NHS_STOR_PRD_KEY] PRIMARY KEY CLUSTERED 
		(
			[CMP_CD] ASC,
			[SALES_ORG_CD] ASC,
			[STOR_CD] ASC,
			[PRD_CATE_CD] ASC,
			[TOUCH_KEY_CD] ASC
		)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
	) ON [PRIMARY]
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_STOR_PRD_KEY',@level2type=N'COLUMN',@level2name=N'CMP_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_STOR_PRD_KEY',@level2type=N'COLUMN',@level2name=N'SALES_ORG_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'īװڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_STOR_PRD_KEY',@level2type=N'COLUMN',@level2name=N'PRD_CATE_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ġŰڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_STOR_PRD_KEY',@level2type=N'COLUMN',@level2name=N'TOUCH_KEY_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_STOR_PRD_KEY',@level2type=N'COLUMN',@level2name=N'DISPLAY_ORDER'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'뿩',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_STOR_PRD_KEY',@level2type=N'COLUMN',@level2name=N'USE_YN'

	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_STOR_PRD_KEY',@level2type=N'COLUMN',@level2name=N'BAR_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ֹ(A:üν,B:ֹ,C:ڵ彺ĵ)',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_STOR_PRD_KEY',@level2type=N'COLUMN',@level2name=N'ORDER_TYPE'

	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ۼ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_STOR_PRD_KEY',@level2type=N'COLUMN',@level2name=N'REG_DATE'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ۼID',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_STOR_PRD_KEY',@level2type=N'COLUMN',@level2name=N'REG_USER_ID'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_STOR_PRD_KEY',@level2type=N'COLUMN',@level2name=N'UPD_DATE'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ID',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_STOR_PRD_KEY',@level2type=N'COLUMN',@level2name=N'UPD_USER_ID'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_STOR_PRD_KEY',@level2type=N'COLUMN',@level2name=N'STOR_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ǰڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_STOR_PRD_KEY',@level2type=N'COLUMN',@level2name=N'ITEM_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ǰ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_STOR_PRD_KEY',@level2type=N'COLUMN',@level2name=N'SOLDOUT_YN'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'Ͻ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_STOR_PRD_KEY',@level2type=N'COLUMN',@level2name=N'LAST_UPD_TIME'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N' ǰ ġŰ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_STOR_PRD_KEY'
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NHS_UI_TEMPLATE]') AND type in (N'U'))
BEGIN
	CREATE TABLE [dbo].[NHS_UI_TEMPLATE](
		[CMP_CD] [nvarchar](4) NOT NULL,
		[SALES_ORG_CD] [nvarchar](4) NOT NULL,
		[STOR_CD] [nvarchar](10) NOT NULL,
		[TEMPL_CD] [nvarchar](10) NOT NULL,
		[TEMPL_NM] [nvarchar](100) NULL,
		[LOGO_FILE_NAME] [nvarchar](100) NULL,
		[LOGO_FILE_FULLPATH] [nvarchar](200) NULL,
		[GNB_BACK_COLOR] [nvarchar](10) NULL,
		[MAIN_BACK_COLOR] [nvarchar](10) NULL,
		[MAIN_FONT_COLOR] [nvarchar](10) NULL,
		[HPC_GNB_BACK_COLOR] [nvarchar](10) NULL,
		[HPC_MAIN_BACK_COLOR] [nvarchar](10) NULL,
		[HPC_MAIN_FONT_COLOR] [nvarchar](10) NULL,
		[USE_YN] [nvarchar](1) NOT NULL DEFAULT '1',
		[REG_USER_ID] [nvarchar](50) NOT NULL,
		[REG_DATE] [datetime] NOT NULL DEFAULT getdate(),
		[UPD_USER_ID] [nvarchar](50) NULL,
		[UPD_DATE] [datetime] NULL,
		CONSTRAINT [PK_NHS_UI_TEMPLATE] PRIMARY KEY CLUSTERED 
		(
			[CMP_CD] ASC,
			[SALES_ORG_CD] ASC,
			[STOR_CD] ASC,
			[TEMPL_CD] ASC
		)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
	) ON [PRIMARY]
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_UI_TEMPLATE',@level2type=N'COLUMN',@level2name=N'CMP_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_UI_TEMPLATE',@level2type=N'COLUMN',@level2name=N'SALES_ORG_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ڵ( ''000'')',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_UI_TEMPLATE',@level2type=N'COLUMN',@level2name=N'STOR_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'øڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_UI_TEMPLATE',@level2type=N'COLUMN',@level2name=N'TEMPL_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ø',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_UI_TEMPLATE',@level2type=N'COLUMN',@level2name=N'TEMPL_NM'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ΰϸ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_UI_TEMPLATE',@level2type=N'COLUMN',@level2name=N'LOGO_FILE_NAME'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ΰϰ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_UI_TEMPLATE',@level2type=N'COLUMN',@level2name=N'LOGO_FILE_FULLPATH'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'GNB ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_UI_TEMPLATE',@level2type=N'COLUMN',@level2name=N'GNB_BACK_COLOR'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N' ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_UI_TEMPLATE',@level2type=N'COLUMN',@level2name=N'MAIN_BACK_COLOR'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N' Ʈ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_UI_TEMPLATE',@level2type=N'COLUMN',@level2name=N'MAIN_FONT_COLOR'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'_GNB ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_UI_TEMPLATE',@level2type=N'COLUMN',@level2name=N'HPC_GNB_BACK_COLOR'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'_ ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_UI_TEMPLATE',@level2type=N'COLUMN',@level2name=N'HPC_MAIN_BACK_COLOR'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'_ Ʈ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_UI_TEMPLATE',@level2type=N'COLUMN',@level2name=N'HPC_MAIN_FONT_COLOR'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'뿩',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_UI_TEMPLATE',@level2type=N'COLUMN',@level2name=N'USE_YN'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ۼID',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_UI_TEMPLATE',@level2type=N'COLUMN',@level2name=N'REG_USER_ID'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ۼ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_UI_TEMPLATE',@level2type=N'COLUMN',@level2name=N'REG_DATE'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ID',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_UI_TEMPLATE',@level2type=N'COLUMN',@level2name=N'UPD_USER_ID'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_UI_TEMPLATE',@level2type=N'COLUMN',@level2name=N'UPD_DATE'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N' UIø',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_UI_TEMPLATE'
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NHS_CPI_CONTENTS]') AND type in (N'U'))
BEGIN
	CREATE TABLE [dbo].[NHS_CPI_CONTENTS](
		[CMP_CD] [nvarchar](4) NOT NULL,
		[SALES_ORG_CD] [nvarchar](4) NOT NULL,
		[CPI_CD] [nvarchar](14) NOT NULL,
		[FILE_FULLPATH] [nvarchar](200) NULL,
		[FILE_NAME] [nvarchar](100) NULL,
		[REG_USER_ID] [nvarchar](50) NOT NULL,
		[REG_DATE] [datetime] NOT NULL DEFAULT getdate(),
		[UPD_USER_ID] [nvarchar](50) NULL,
		[UPD_DATE] [datetime] NULL,
		CONSTRAINT [PK_NHS_CPI_CONTENTS] PRIMARY KEY CLUSTERED 
		(
			[CMP_CD] ASC,
			[SALES_ORG_CD] ASC,
			[CPI_CD] ASC
		) WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
	) ON [PRIMARY]
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_CPI_CONTENTS',@level2type=N'COLUMN',@level2name=N'CMP_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_CPI_CONTENTS',@level2type=N'COLUMN',@level2name=N'SALES_ORG_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ķڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_CPI_CONTENTS',@level2type=N'COLUMN',@level2name=N'CPI_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ϰ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_CPI_CONTENTS',@level2type=N'COLUMN',@level2name=N'FILE_FULLPATH'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ϸ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_CPI_CONTENTS',@level2type=N'COLUMN',@level2name=N'FILE_NAME'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ۼ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_CPI_CONTENTS',@level2type=N'COLUMN',@level2name=N'REG_DATE'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ۼID',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_CPI_CONTENTS',@level2type=N'COLUMN',@level2name=N'REG_USER_ID'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_CPI_CONTENTS',@level2type=N'COLUMN',@level2name=N'UPD_DATE'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ID',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_CPI_CONTENTS',@level2type=N'COLUMN',@level2name=N'UPD_USER_ID'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ķ ҽ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_CPI_CONTENTS'
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NHS_LANG_MSG]') AND type in (N'U'))
BEGIN
	CREATE TABLE [dbo].[NHS_LANG_MSG](
		[CMP_CD] [nvarchar](4) NOT NULL,
		[SALES_ORG_CD] [nvarchar](4) NOT NULL,
		[LANG_GBN_CD] [nvarchar](10) NOT NULL,
		[LANG_CD] [nvarchar](5) NOT NULL,
		[LANG_MESSAGE_CD] [nvarchar](10) NOT NULL,
		[LANG_MESSAGE] [nvarchar](100) NULL,
		[REG_USER_ID] [nvarchar](50) NOT NULL,
		[REG_DATE] [datetime] NOT NULL DEFAULT getdate(),
		[UPD_USER_ID] [nvarchar](50) NULL,
		[UPD_DATE] [datetime] NULL,
		CONSTRAINT [PK_NHS_LANG_MSG] PRIMARY KEY CLUSTERED 
		(
			[CMP_CD] ASC,
			[SALES_ORG_CD] ASC,
			[LANG_GBN_CD] ASC,
			[LANG_CD] ASC,
			[LANG_MESSAGE_CD] ASC
		) WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
	) ON [PRIMARY]
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_LANG_MSG',@level2type=N'COLUMN',@level2name=N'CMP_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_LANG_MSG',@level2type=N'COLUMN',@level2name=N'SALES_ORG_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ٱиڵ(CATE:ǰīװ, PROD :ǰ,LABEL:,OPTN:ΰɼ)',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_LANG_MSG',@level2type=N'COLUMN',@level2name=N'LANG_GBN_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ٱڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_LANG_MSG',@level2type=N'COLUMN',@level2name=N'LANG_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ٱ޼ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_LANG_MSG',@level2type=N'COLUMN',@level2name=N'LANG_MESSAGE_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ٱ޼',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_LANG_MSG',@level2type=N'COLUMN',@level2name=N'LANG_MESSAGE'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ۼ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_LANG_MSG',@level2type=N'COLUMN',@level2name=N'REG_DATE'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ۼID',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_LANG_MSG',@level2type=N'COLUMN',@level2name=N'REG_USER_ID'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_LANG_MSG',@level2type=N'COLUMN',@level2name=N'UPD_DATE'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ID',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_LANG_MSG',@level2type=N'COLUMN',@level2name=N'UPD_USER_ID'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ǰ ٱ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_LANG_MSG'
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NHS_LAYOUT]') AND type in (N'U'))
BEGIN
	CREATE TABLE [dbo].[NHS_LAYOUT](
		[CMP_CD] [nvarchar](4) NOT NULL,
		[SALES_ORG_CD] [nvarchar](4) NOT NULL,
		[LAYOUT_CD] [nvarchar](10) NOT NULL,
		[LAYOUT_NM] [nvarchar](200) NULL,
		[LAYOUT_RESOLUTION] [nvarchar](1) NULL,
		[FRAME_COUNT] [nvarchar](2) NULL,
		[RESOLUTION_HORIZEN] [nvarchar](4) NULL,
		[RESOLUTION_VERTICAL] [nvarchar](4) NULL,
		[REG_USER_ID] [nvarchar](50) NOT NULL,
		[REG_DATE] [datetime] NOT NULL DEFAULT getdate(),
		[UPD_USER_ID] [nvarchar](50) NULL,
		[UPD_DATE] [datetime] NULL,
		CONSTRAINT [PK_NHS_LAYOUT] PRIMARY KEY CLUSTERED 
		(
			[CMP_CD] ASC,
			[SALES_ORG_CD] ASC,
			[LAYOUT_CD] ASC
		) WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
	) ON [PRIMARY]
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_LAYOUT',@level2type=N'COLUMN',@level2name=N'CMP_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_LAYOUT',@level2type=N'COLUMN',@level2name=N'SALES_ORG_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ȭ鱸ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_LAYOUT',@level2type=N'COLUMN',@level2name=N'LAYOUT_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ȭ鱸',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_LAYOUT',@level2type=N'COLUMN',@level2name=N'LAYOUT_NM'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ȭ(,)',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_LAYOUT',@level2type=N'COLUMN',@level2name=N'LAYOUT_RESOLUTION'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'Ӱ(ŭ ӹȣ )',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_LAYOUT',@level2type=N'COLUMN',@level2name=N'FRAME_COUNT'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ȭػ_',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_LAYOUT',@level2type=N'COLUMN',@level2name=N'RESOLUTION_HORIZEN'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_LAYOUT',@level2type=N'COLUMN',@level2name=N'RESOLUTION_VERTICAL'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ۼID',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_LAYOUT',@level2type=N'COLUMN',@level2name=N'REG_USER_ID'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ۼ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_LAYOUT',@level2type=N'COLUMN',@level2name=N'REG_DATE'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ID',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_LAYOUT',@level2type=N'COLUMN',@level2name=N'UPD_USER_ID'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_LAYOUT',@level2type=N'COLUMN',@level2name=N'UPD_DATE'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ȭ鱸',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_LAYOUT'
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NHS_PRD_CATE]') AND type in (N'U'))
BEGIN
	CREATE TABLE [dbo].[NHS_PRD_CATE](
		[CMP_CD] [nvarchar](4) NOT NULL,
		[SALES_ORG_CD] [nvarchar](4) NOT NULL,
		[PRD_CATE_CD] [nvarchar](4) NOT NULL,
		[PRD_CATE_UP_CD] [nvarchar](4) NOT NULL,
		[FILE_FULLPATH] [nvarchar](200) NULL,
		[FILE_NAME] [nvarchar](100) NULL,
		[DISPLAY_ORDER] [int] NULL,
		[USE_YN] [nvarchar](1) NOT NULL DEFAULT '1',
		[HIDE_YN] [nvarchar](1) NULL,
		[REG_USER_ID] [nvarchar](50) NOT NULL,
		[REG_DATE] [datetime] NOT NULL DEFAULT getdate(),
		[UPD_USER_ID] [nvarchar](50) NULL,
		[UPD_DATE] [datetime] NULL,
		CONSTRAINT [PK_NHS_PRD_CATE] PRIMARY KEY CLUSTERED 
		(
			[CMP_CD] ASC,
			[SALES_ORG_CD] ASC,
			[PRD_CATE_CD] ASC,
			[PRD_CATE_UP_CD] ASC
		)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
	) ON [PRIMARY]
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_CATE',@level2type=N'COLUMN',@level2name=N'CMP_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_CATE',@level2type=N'COLUMN',@level2name=N'SALES_ORG_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'īװڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_CATE',@level2type=N'COLUMN',@level2name=N'PRD_CATE_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'īװڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_CATE',@level2type=N'COLUMN',@level2name=N'PRD_CATE_UP_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ϰ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_CATE',@level2type=N'COLUMN',@level2name=N'FILE_FULLPATH'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ϸ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_CATE',@level2type=N'COLUMN',@level2name=N'FILE_NAME'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_CATE',@level2type=N'COLUMN',@level2name=N'DISPLAY_ORDER'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'뿩',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_CATE',@level2type=N'COLUMN',@level2name=N'USE_YN'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'迩',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_CATE',@level2type=N'COLUMN',@level2name=N'HIDE_YN'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ۼ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_CATE',@level2type=N'COLUMN',@level2name=N'REG_DATE'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ۼID',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_CATE',@level2type=N'COLUMN',@level2name=N'REG_USER_ID'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_CATE',@level2type=N'COLUMN',@level2name=N'UPD_DATE'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ID',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_CATE',@level2type=N'COLUMN',@level2name=N'UPD_USER_ID'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ǰīװ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_CATE'
END
GO
SET ANSI_PADDING OFF
GO
/*
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NHS_PRD_CATE_L]') AND type in (N'U'))
BEGIN
	CREATE TABLE [dbo].[NHS_PRD_CATE_L](
		[CMP_CD] [nvarchar](4) NOT NULL,
		[SALES_ORG_CD] [nvarchar](4) NOT NULL,
		[PRD_CATE_CD] [nvarchar](4) NOT NULL,
		[PRD_CATE_UP_CD] [nvarchar](4) NOT NULL,
		[FILE_FULLPATH] [nvarchar](200) NULL,
		[FILE_NAME] [nvarchar](100) NULL,
		[DISPLAY_ORDER] [int] NULL,
		[USE_YN] [nvarchar](1) NOT NULL DEFAULT '1',
		[HIDE_YN] [nvarchar](1) NULL,
		[REG_USER_ID] [nvarchar](50) NOT NULL,
		[REG_DATE] [datetime] NOT NULL DEFAULT getdate(),
		[UPD_USER_ID] [nvarchar](50) NULL,
		[UPD_DATE] [datetime] NULL,
		CONSTRAINT [PK_NHS_PRD_CATE_L] PRIMARY KEY CLUSTERED 
		(
			[CMP_CD] ASC,
			[SALES_ORG_CD] ASC,
			[PRD_CATE_CD] ASC,
			[PRD_CATE_UP_CD] ASC
		)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
	) ON [PRIMARY]
	EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'ڵ' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'NHS_PRD_CATE_L', @level2type=N'COLUMN',@level2name=N'CMP_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'ڵ' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'NHS_PRD_CATE_L', @level2type=N'COLUMN',@level2name=N'SALES_ORG_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'īװڵ' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'NHS_PRD_CATE_L', @level2type=N'COLUMN',@level2name=N'PRD_CATE_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'īװڵ' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'NHS_PRD_CATE_L', @level2type=N'COLUMN',@level2name=N'PRD_CATE_UP_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'ϰ' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'NHS_PRD_CATE_L', @level2type=N'COLUMN',@level2name=N'FILE_FULLPATH'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'ϸ' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'NHS_PRD_CATE_L', @level2type=N'COLUMN',@level2name=N'FILE_NAME'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'NHS_PRD_CATE_L', @level2type=N'COLUMN',@level2name=N'DISPLAY_ORDER'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'뿩' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'NHS_PRD_CATE_L', @level2type=N'COLUMN',@level2name=N'USE_YN'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'迩' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'NHS_PRD_CATE_L', @level2type=N'COLUMN',@level2name=N'HIDE_YN'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'ۼID' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'NHS_PRD_CATE_L', @level2type=N'COLUMN',@level2name=N'REG_USER_ID'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'ۼ' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'NHS_PRD_CATE_L', @level2type=N'COLUMN',@level2name=N'REG_DATE'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'ID' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'NHS_PRD_CATE_L', @level2type=N'COLUMN',@level2name=N'UPD_USER_ID'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'NHS_PRD_CATE_L', @level2type=N'COLUMN',@level2name=N'UPD_DATE'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'ǰīװM' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'NHS_PRD_CATE_L'
END
GO
SET ANSI_PADDING OFF
GO
*/
/*
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NHS_PRD_CATE_M]') AND type in (N'U'))
BEGIN
	CREATE TABLE [dbo].[NHS_PRD_CATE_M](
		[CMP_CD] [nvarchar](4) NOT NULL,
		[SALES_ORG_CD] [nvarchar](4) NOT NULL,
		[PRD_CATE_CD] [nvarchar](4) NOT NULL,
		[PRD_CATE_UP_CD] [nvarchar](4) NOT NULL,
		[FILE_FULLPATH] [nvarchar](200) NULL,
		[FILE_NAME] [nvarchar](100) NULL,
		[DISPLAY_ORDER] [int] NULL,
		[USE_YN] [nvarchar](1) NOT NULL DEFAULT '1',
		[HIDE_YN] [nvarchar](1) NULL,
		[REG_USER_ID] [nvarchar](50) NOT NULL,
		[REG_DATE] [datetime] NOT NULL DEFAULT getdate(),
		[UPD_USER_ID] [nvarchar](50) NULL,
		[UPD_DATE] [datetime] NULL,
		CONSTRAINT [PK_NHS_PRD_CATE_M] PRIMARY KEY CLUSTERED 
		(
			[CMP_CD] ASC,
			[SALES_ORG_CD] ASC,
			[PRD_CATE_CD] ASC,
			[PRD_CATE_UP_CD] ASC
		)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
	) ON [PRIMARY]
	EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'ڵ' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'NHS_PRD_CATE_M', @level2type=N'COLUMN',@level2name=N'CMP_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'ڵ' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'NHS_PRD_CATE_M', @level2type=N'COLUMN',@level2name=N'SALES_ORG_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'īװڵ' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'NHS_PRD_CATE_M', @level2type=N'COLUMN',@level2name=N'PRD_CATE_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'īװڵ' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'NHS_PRD_CATE_M', @level2type=N'COLUMN',@level2name=N'PRD_CATE_UP_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'ϰ' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'NHS_PRD_CATE_M', @level2type=N'COLUMN',@level2name=N'FILE_FULLPATH'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'ϸ' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'NHS_PRD_CATE_M', @level2type=N'COLUMN',@level2name=N'FILE_NAME'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'NHS_PRD_CATE_M', @level2type=N'COLUMN',@level2name=N'DISPLAY_ORDER'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'뿩' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'NHS_PRD_CATE_M', @level2type=N'COLUMN',@level2name=N'USE_YN'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'迩' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'NHS_PRD_CATE_M', @level2type=N'COLUMN',@level2name=N'HIDE_YN'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'ۼID' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'NHS_PRD_CATE_M', @level2type=N'COLUMN',@level2name=N'REG_USER_ID'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'ۼ' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'NHS_PRD_CATE_M', @level2type=N'COLUMN',@level2name=N'REG_DATE'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'ID' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'NHS_PRD_CATE_M', @level2type=N'COLUMN',@level2name=N'UPD_USER_ID'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'NHS_PRD_CATE_M', @level2type=N'COLUMN',@level2name=N'UPD_DATE'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'ǰīװM' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'NHS_PRD_CATE_M'
END
GO
SET ANSI_PADDING OFF
GO
*/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NHS_PRD_MST]') AND type in (N'U'))
BEGIN
	CREATE TABLE [dbo].[NHS_PRD_MST](
		[CMP_CD] [nvarchar](4) NOT NULL,
		[SALES_ORG_CD] [nvarchar](4) NOT NULL,
		[PRD_CATE_CD] [nvarchar](4) NOT NULL,
		[ITEM_CD] [nvarchar](20) NOT NULL,
		[ITEM_NM] [nvarchar](100) NULL,
		[FILE_FULLPATH] [nvarchar](200) NULL,
		[FILE_NAME] [nvarchar](100) NULL,
		[ORDER_TYPE] [nvarchar](1) NULL,
		[RECOMMAND_YN] [nvarchar](1) NULL,
		[NEW_YN] [nvarchar](1) NULL,
		[DISPLAY_ORDER] [int] NULL,
		[USE_YN] [nvarchar](1) NOT NULL DEFAULT '1',
		[PRESENT_YN] [nvarchar](1) NULL,
		[BAR_CD] [nvarchar](10) NULL,
		[REG_USER_ID] [nvarchar](50) NOT NULL,
		[REG_DATE] [datetime] NOT NULL DEFAULT getdate(),
		[UPD_USER_ID] [nvarchar](50) NULL,
		[UPD_DATE] [datetime] NULL,
		CONSTRAINT [PK_NHS_PRD_MST] PRIMARY KEY CLUSTERED 
		(
			[CMP_CD] ASC,
			[SALES_ORG_CD] ASC,
			[PRD_CATE_CD] ASC,
			[ITEM_CD] ASC
		)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
	) ON [PRIMARY]
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_MST',@level2type=N'COLUMN',@level2name=N'CMP_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_MST',@level2type=N'COLUMN',@level2name=N'SALES_ORG_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'īװڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_MST',@level2type=N'COLUMN',@level2name=N'PRD_CATE_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ǰڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_MST',@level2type=N'COLUMN',@level2name=N'ITEM_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ǰ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_MST',@level2type=N'COLUMN',@level2name=N'ITEM_NM'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ϰ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_MST',@level2type=N'COLUMN',@level2name=N'FILE_FULLPATH'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ϸ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_MST',@level2type=N'COLUMN',@level2name=N'FILE_NAME'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'üν/ڵ/ֹ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_MST',@level2type=N'COLUMN',@level2name=N'ORDER_TYPE'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'õ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_MST',@level2type=N'COLUMN',@level2name=N'RECOMMAND_YN'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'Żǰ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_MST',@level2type=N'COLUMN',@level2name=N'NEW_YN'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_MST',@level2type=N'COLUMN',@level2name=N'DISPLAY_ORDER'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'뿩',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_MST',@level2type=N'COLUMN',@level2name=N'USE_YN'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_MST',@level2type=N'COLUMN',@level2name=N'BAR_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ۼ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_MST',@level2type=N'COLUMN',@level2name=N'REG_DATE'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ۼID',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_MST',@level2type=N'COLUMN',@level2name=N'REG_USER_ID'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_MST',@level2type=N'COLUMN',@level2name=N'UPD_DATE'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ID',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_MST',@level2type=N'COLUMN',@level2name=N'UPD_USER_ID'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ǰ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_MST',@level2type=N'COLUMN',@level2name=N'PRESENT_YN'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ǰ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_MST'
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NHS_OPTN_MST]') AND type in (N'U'))
BEGIN
	CREATE TABLE [dbo].[NHS_OPTN_MST](
		[CMP_CD] [nvarchar](4) NOT NULL,
		[SALES_ORG_CD] [nvarchar](4) NOT NULL,
		[ITEM_OPTN_GRP_CD] [nvarchar](4) NOT NULL,
		[ITEM_OPTN_CD] [nvarchar](4) NOT NULL,
		[ITEM_OPTN_NM] [nvarchar](200) NULL,
		[KIND] [nvarchar](100) NULL,
		[OPTN_MTD] [nvarchar](4) NULL,
		[KIND_CODE] [nvarchar](10) NULL,
		[AMT] [int] NULL,
		[MIN_AMT] [int] NULL,
		[MAX_AMT] [int] NULL,
		[REG_USER_ID] [nvarchar](50) NOT NULL,
		[REG_DATE] [datetime] NOT NULL DEFAULT getdate(),
		[UPD_USER_ID] [nvarchar](50) NULL,
		[UPD_DATE] [datetime] NULL,
		CONSTRAINT [PK_NHS_OPTN_MST] PRIMARY KEY CLUSTERED 
		(
			[CMP_CD] ASC,
			[SALES_ORG_CD] ASC,
			[ITEM_OPTN_GRP_CD] ASC,
			[ITEM_OPTN_CD] ASC
		)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
	) ON [PRIMARY]
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_OPTN_MST',@level2type=N'COLUMN',@level2name=N'CMP_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_OPTN_MST',@level2type=N'COLUMN',@level2name=N'SALES_ORG_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ΰɼǱ׷ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_OPTN_MST',@level2type=N'COLUMN',@level2name=N'ITEM_OPTN_GRP_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ΰɼڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_OPTN_MST',@level2type=N'COLUMN',@level2name=N'ITEM_OPTN_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ΰɼǸ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_OPTN_MST',@level2type=N'COLUMN',@level2name=N'ITEM_OPTN_NM'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'з',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_OPTN_MST',@level2type=N'COLUMN',@level2name=N'KIND'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_OPTN_MST',@level2type=N'COLUMN',@level2name=N'OPTN_MTD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'зڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_OPTN_MST',@level2type=N'COLUMN',@level2name=N'KIND_CODE'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'_ݾ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_OPTN_MST',@level2type=N'COLUMN',@level2name=N'AMT'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ּҰ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_OPTN_MST',@level2type=N'COLUMN',@level2name=N'MIN_AMT'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ִ밪',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_OPTN_MST',@level2type=N'COLUMN',@level2name=N'MAX_AMT'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ۼID',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_OPTN_MST',@level2type=N'COLUMN',@level2name=N'REG_USER_ID'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ۼ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_OPTN_MST',@level2type=N'COLUMN',@level2name=N'REG_DATE'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ID',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_OPTN_MST',@level2type=N'COLUMN',@level2name=N'UPD_USER_ID'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_OPTN_MST',@level2type=N'COLUMN',@level2name=N'UPD_DATE'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ΰɼ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_OPTN_MST'
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NHS_PRD_OPTN_GRP]') AND type in (N'U'))
BEGIN
	CREATE TABLE [dbo].[NHS_PRD_OPTN_GRP](
		[CMP_CD] [nvarchar](4) NOT NULL,
		[SALES_ORG_CD] [nvarchar](4) NOT NULL,
		[ITEM_OPTN_GRP_CD] [nvarchar](4) NOT NULL,
		[OPTN_GRP_NM] [nvarchar](100) NULL,
		[FILE_FULLPATH] [nvarchar](200) NULL,
		[FILE_NAME] [nvarchar](100) NULL,
		[SEL_MTD] [nvarchar](4) NULL,
		[RQRD_YN] [nvarchar](1) NULL,
		[USE_YN] [nvarchar](1) NOT NULL DEFAULT '1',
		[REG_USER_ID] [nvarchar](50) NOT NULL,
		[REG_DATE] [datetime] NOT NULL DEFAULT getdate(),
		[UPD_USER_ID] [nvarchar](50) NULL,
		[UPD_DATE] [datetime] NULL,
		CONSTRAINT [PK_NHS_PRD_OPTN_GRP] PRIMARY KEY CLUSTERED 
		(
			[CMP_CD] ASC,
			[SALES_ORG_CD] ASC,
			[ITEM_OPTN_GRP_CD] ASC
		)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
	) ON [PRIMARY]
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_OPTN_GRP',@level2type=N'COLUMN',@level2name=N'CMP_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_OPTN_GRP',@level2type=N'COLUMN',@level2name=N'SALES_ORG_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ΰɼǱ׷ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_OPTN_GRP',@level2type=N'COLUMN',@level2name=N'ITEM_OPTN_GRP_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ΰɼǱ׷',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_OPTN_GRP',@level2type=N'COLUMN',@level2name=N'OPTN_GRP_NM'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ϰ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_OPTN_GRP',@level2type=N'COLUMN',@level2name=N'FILE_FULLPATH'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ϸ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_OPTN_GRP',@level2type=N'COLUMN',@level2name=N'FILE_NAME'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ù',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_OPTN_GRP',@level2type=N'COLUMN',@level2name=N'SEL_MTD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ʼ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_OPTN_GRP',@level2type=N'COLUMN',@level2name=N'RQRD_YN'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'뿩',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_OPTN_GRP',@level2type=N'COLUMN',@level2name=N'USE_YN'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ۼID',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_OPTN_GRP',@level2type=N'COLUMN',@level2name=N'REG_USER_ID'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ۼ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_OPTN_GRP',@level2type=N'COLUMN',@level2name=N'REG_DATE'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ID',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_OPTN_GRP',@level2type=N'COLUMN',@level2name=N'UPD_USER_ID'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_OPTN_GRP',@level2type=N'COLUMN',@level2name=N'UPD_DATE'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ΰɼǱ׷',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_OPTN_GRP'
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NHS_PRD_OPTN]') AND type in (N'U'))
BEGIN
	CREATE TABLE [dbo].[NHS_PRD_OPTN](
		[CMP_CD] [nvarchar](4) NOT NULL,
		[SALES_ORG_CD] [nvarchar](4) NOT NULL,
		[STOR_CD] [nvarchar](10) NOT NULL,
		[ITEM_CD] [nvarchar](20) NOT NULL,
		[ITEM_OPTN_GRP_CD] [nvarchar](4) NOT NULL,
		[DISPLAY_ORDER] [int] NULL,
		[REG_USER_ID] [nvarchar](50) NOT NULL,
		[REG_DATE] [datetime] NOT NULL DEFAULT getdate(),
		[UPD_USER_ID] [nvarchar](50) NULL,
		[UPD_DATE] [datetime] NULL,
		CONSTRAINT [PK_NHS_PRD_OPTN] PRIMARY KEY CLUSTERED 
		(
			[CMP_CD] ASC,
			[SALES_ORG_CD] ASC,
			[STOR_CD] ASC,
			[ITEM_CD] ASC,
			[ITEM_OPTN_GRP_CD] ASC
		)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
	) ON [PRIMARY]
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_OPTN',@level2type=N'COLUMN',@level2name=N'CMP_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_OPTN',@level2type=N'COLUMN',@level2name=N'SALES_ORG_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_OPTN',@level2type=N'COLUMN',@level2name=N'STOR_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ǰڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_OPTN',@level2type=N'COLUMN',@level2name=N'ITEM_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ΰɼǱ׷ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_OPTN',@level2type=N'COLUMN',@level2name=N'ITEM_OPTN_GRP_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_OPTN',@level2type=N'COLUMN',@level2name=N'DISPLAY_ORDER'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ۼ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_OPTN',@level2type=N'COLUMN',@level2name=N'REG_DATE'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ۼID',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_OPTN',@level2type=N'COLUMN',@level2name=N'REG_USER_ID'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_OPTN',@level2type=N'COLUMN',@level2name=N'UPD_DATE'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ID',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_OPTN',@level2type=N'COLUMN',@level2name=N'UPD_USER_ID'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ǰ ΰɼ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_PRD_OPTN'
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NHS_STOR_PRD_TAG]') AND type in (N'U'))
BEGIN
	CREATE TABLE [dbo].[NHS_STOR_PRD_TAG](
		[CMP_CD] [nvarchar](4) NOT NULL,
		[SALES_ORG_CD] [nvarchar](4) NOT NULL,
		[STOR_CD] [nvarchar](10) NOT NULL,
		[ITEM_CD] [nvarchar](20) NOT NULL,
		[TAG_KIND] [nvarchar](2) NOT NULL,
		[FILE_NAME] [nvarchar](100) NULL,
		[NEW_START_DT] [nvarchar](8) NULL,
		[NEW_END_DT] [nvarchar](8) NULL,
		[REG_USER_ID] [nvarchar](50) NOT NULL,
		[REG_DATE] [datetime] NOT NULL DEFAULT getdate(),
		[UPD_USER_ID] [nvarchar](50) NULL,
		[UPD_DATE] [datetime] NULL,
		CONSTRAINT [PK_NHS_STOR_PRD_TAG] PRIMARY KEY CLUSTERED 
		(
			[CMP_CD] ASC,
			[SALES_ORG_CD] ASC,
			[STOR_CD] ASC,
			[ITEM_CD] ASC,
			[TAG_KIND] ASC
		)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
	) ON [PRIMARY]
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_STOR_PRD_TAG',@level2type=N'COLUMN',@level2name=N'CMP_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_STOR_PRD_TAG',@level2type=N'COLUMN',@level2name=N'SALES_ORG_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_STOR_PRD_TAG',@level2type=N'COLUMN',@level2name=N'STOR_CD'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ǰڵ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_STOR_PRD_TAG',@level2type=N'COLUMN',@level2name=N'ITEM_CD'
	
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ۼ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_STOR_PRD_TAG',@level2type=N'COLUMN',@level2name=N'REG_DATE'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ۼID',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_STOR_PRD_TAG',@level2type=N'COLUMN',@level2name=N'REG_USER_ID'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_STOR_PRD_TAG',@level2type=N'COLUMN',@level2name=N'UPD_DATE'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ID',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_STOR_PRD_TAG',@level2type=N'COLUMN',@level2name=N'UPD_USER_ID'
	EXEC sys.sp_addextendedproperty @name=N'MS_Description',@value=N'ǰ ΰɼ',@level0type=N'SCHEMA',@level0name=N'dbo',@level1type=N'TABLE',@level1name=N'NHS_STOR_PRD_TAG'
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NHS_LINK_ITEM]') AND type in (N'U'))
BEGIN
	CREATE TABLE [dbo].[NHS_LINK_ITEM](
		[CMP_CD] [nvarchar](4) NOT NULL,
		[SALES_ORG_CD] [nvarchar](4) NOT NULL,
		[LINK_CD] [nvarchar](6) NOT NULL,
		[LINK_NM] [nvarchar](40) NOT NULL,
		[LINK_ITEM_CD] [nvarchar](20) NOT NULL,
		[UPCHARGE_YN] [nvarchar](1) NOT NULL,
		[UPCHARGE_ITEM_CD] [nvarchar](20) NOT NULL,
		[DISPLAY_ORDER] [int] NOT NULL,
		[USE_YN] [nvarchar](1) NOT NULL,
		[REG_USER_ID] [nvarchar](50) NOT NULL,
		[REG_DATE] [datetime] NOT NULL DEFAULT getdate(),
		[UPD_USER_ID] [nvarchar](50) NULL,
		[UPD_DATE] [datetime] NULL,
		CONSTRAINT [PK_NHS_LINK_ITEM] PRIMARY KEY CLUSTERED 
		(
			[CMP_CD] ASC,
			[SALES_ORG_CD] ASC,
			[LINK_CD] ASC,
			[LINK_ITEM_CD] ASC
		)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
	) ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NHS_STOR_FLAVOR]') AND type in (N'U'))
BEGIN
	CREATE TABLE [dbo].[NHS_STOR_FLAVOR](
		[CMP_CD] [nvarchar](4) NOT NULL,
		[SALES_ORG_CD] [nvarchar](4) NOT NULL,
		[STOR_CD] [nvarchar](10) NOT NULL,
		[ITEM_CD] [nvarchar](20) NOT NULL,
		[ITEM_NM] [nvarchar](50) NULL,
		[DISPLAY_ORDER] [int] NULL,
		[USE_YN] [nvarchar](1) NOT NULL,
		[DESC1] [nvarchar](1000) NULL,
		[DESC2] [nvarchar](1000) NULL,
		[INFO] [nvarchar](1000) NULL,
		[REG_USER_ID] [nvarchar](50) NULL,
		[REG_DATE] [datetime] NOT NULL DEFAULT getdate(),
		[UPD_USER_ID] [nvarchar](50) NULL,
		[UPD_DATE] [datetime] NULL,
		CONSTRAINT [PK_NHS_STOR_FLAVOR] PRIMARY KEY CLUSTERED 
		(
			[CMP_CD] ASC,
			[SALES_ORG_CD] ASC,
			[STOR_CD] ASC,
			[ITEM_CD] ASC
		)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
	) ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NHS_FUNC_INFO]') AND type in (N'U'))
BEGIN
	CREATE TABLE [dbo].[NHS_FUNC_INFO](
		[CMP_CD] [nvarchar](4) NOT NULL,
		[SALES_ORG_CD] [nvarchar](4) NOT NULL,
		[STOR_CD] [nvarchar](10) NOT NULL,
		[STEP_GRP_CD] [nvarchar](4) NOT NULL,
		[FUNC_GRP_CD] [nvarchar](5) NOT NULL,
		[FUNC_CD] [nvarchar](5) NOT NULL,
		[STEP_GRP_NM] [nvarchar](100) NULL,
		[FUNC_GRP_NM] [nvarchar](100) NULL,
		[FUNC_NM] [nvarchar](100) NULL,
		[DISPLAY_ORDER] [int] NULL,
		[USE_YN] [nvarchar](1) NULL,
		[REG_USER_ID] [nvarchar](50) NULL,
		[REG_DATE] [datetime] NOT NULL DEFAULT getdate(),
		[UPD_USER_ID] [nvarchar](50) NULL,
		[UPD_DATE] [datetime] NULL,
		CONSTRAINT [PK_NHS_FUNC_INFO] PRIMARY KEY CLUSTERED 
		(
			[CMP_CD] ASC,
			[SALES_ORG_CD] ASC,
			[STOR_CD] ASC,
			[STEP_GRP_CD] ASC,
			[FUNC_GRP_CD] ASC,
			[FUNC_CD] ASC
		)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
	) ON [PRIMARY]
END
GO
SET ANSI_PADDING OFF
GO